*****************************************************************************************
*                                                                                       *
*  AppleIIgsKarate.Engine.s :  Sprite / Sequence / Erase / Collision data.              *
*                                                                                       *
*****************************************************************************************
*  Authors : Antoine VIGNAU / Olivier ZARDINI  *  Brutal Deluxe Software  *  July 2022  *
*****************************************************************************************

********************************************************************
***                        Sprites Data                          ***
********************************************************************

*----------   Sprite Size : Width (byte) / Height (line)                     
TAB_SPRITE_SIZE     DA         SPRITE_SIZE_001,SPRITE_SIZE_002,SPRITE_SIZE_003,SPRITE_SIZE_004
                    DA         SPRITE_SIZE_005,SPRITE_SIZE_006,SPRITE_SIZE_007,SPRITE_SIZE_008
                    DA         SPRITE_SIZE_009,SPRITE_SIZE_00A,SPRITE_SIZE_00B,SPRITE_SIZE_00C
                    DA         SPRITE_SIZE_00D,SPRITE_SIZE_00E,SPRITE_SIZE_00F,SPRITE_SIZE_010
                    DA         SPRITE_SIZE_011,SPRITE_SIZE_012,SPRITE_SIZE_013,SPRITE_SIZE_014
                    DA         SPRITE_SIZE_015,SPRITE_SIZE_016,SPRITE_SIZE_017,SPRITE_SIZE_018
                    DA         SPRITE_SIZE_019,SPRITE_SIZE_01A,SPRITE_SIZE_01B,SPRITE_SIZE_01C
                    DA         SPRITE_SIZE_01D,SPRITE_SIZE_01E,SPRITE_SIZE_01F,SPRITE_SIZE_020
                    DA         SPRITE_SIZE_021,SPRITE_SIZE_022,SPRITE_SIZE_023,SPRITE_SIZE_024
                    DA         SPRITE_SIZE_025,SPRITE_SIZE_026,SPRITE_SIZE_027,SPRITE_SIZE_028
                    DA         SPRITE_SIZE_029,SPRITE_SIZE_02A,SPRITE_SIZE_02B,SPRITE_SIZE_02C
                    DA         SPRITE_SIZE_02D,SPRITE_SIZE_02E,SPRITE_SIZE_02F,SPRITE_SIZE_030
                    DA         SPRITE_SIZE_031,SPRITE_SIZE_032,SPRITE_SIZE_033,SPRITE_SIZE_034
                    DA         SPRITE_SIZE_035,SPRITE_SIZE_036,SPRITE_SIZE_037,SPRITE_SIZE_038
                    DA         SPRITE_SIZE_039,SPRITE_SIZE_03A,SPRITE_SIZE_03B,SPRITE_SIZE_03C
                    DA         SPRITE_SIZE_03D,SPRITE_SIZE_03E,SPRITE_SIZE_03F,SPRITE_SIZE_040
                    DA         SPRITE_SIZE_041,SPRITE_SIZE_042,SPRITE_SIZE_043,SPRITE_SIZE_044
                    DA         SPRITE_SIZE_045,SPRITE_SIZE_046,SPRITE_SIZE_047,SPRITE_SIZE_048
                    DA         SPRITE_SIZE_049,SPRITE_SIZE_04A,SPRITE_SIZE_04B,SPRITE_SIZE_04C
                    DA         SPRITE_SIZE_04D,SPRITE_SIZE_04E,SPRITE_SIZE_04F,SPRITE_SIZE_050
                    DA         SPRITE_SIZE_051,SPRITE_SIZE_052,SPRITE_SIZE_053,SPRITE_SIZE_054
                    DA         SPRITE_SIZE_055,SPRITE_SIZE_056,SPRITE_SIZE_057,SPRITE_SIZE_058
                    DA         SPRITE_SIZE_059,SPRITE_SIZE_05A,SPRITE_SIZE_05B,SPRITE_SIZE_05C
                    DA         SPRITE_SIZE_05D,SPRITE_SIZE_05E,SPRITE_SIZE_05F,SPRITE_SIZE_060
                    DA         SPRITE_SIZE_061,SPRITE_SIZE_062,SPRITE_SIZE_063,SPRITE_SIZE_064
                    DA         SPRITE_SIZE_065,SPRITE_SIZE_066,SPRITE_SIZE_067,SPRITE_SIZE_068
                    DA         SPRITE_SIZE_069,SPRITE_SIZE_06A,SPRITE_SIZE_06B,SPRITE_SIZE_06C
                    DA         SPRITE_SIZE_06D,SPRITE_SIZE_06E,SPRITE_SIZE_06F,SPRITE_SIZE_070
                    DA         SPRITE_SIZE_071,SPRITE_SIZE_072,SPRITE_SIZE_073,SPRITE_SIZE_074
                    DA         SPRITE_SIZE_075,SPRITE_SIZE_076,SPRITE_SIZE_077,SPRITE_SIZE_078
                    DA         SPRITE_SIZE_079,SPRITE_SIZE_07A,SPRITE_SIZE_07B,SPRITE_SIZE_07C
                    DA         SPRITE_SIZE_07D,SPRITE_SIZE_07E,SPRITE_SIZE_07F,SPRITE_SIZE_080
                    DA         SPRITE_SIZE_081,SPRITE_SIZE_082,SPRITE_SIZE_083,SPRITE_SIZE_084
                    DA         SPRITE_SIZE_085,SPRITE_SIZE_086,SPRITE_SIZE_087,SPRITE_SIZE_088
                    DA         SPRITE_SIZE_089,SPRITE_SIZE_08A
                                        
SPRITE_SIZE_001     HEX        1600,3800            ; Player Blue Right Up Stand
SPRITE_SIZE_002     HEX        0F00,3800            ; Player Blue Right Up Mid-Walk
SPRITE_SIZE_003     HEX        1000,3700            ; Player Blue Right Up Half Turn
SPRITE_SIZE_004     HEX        1600,3800            ; Player Blue Right Up Prepare Punch
SPRITE_SIZE_005     HEX        1900,3800            ; Player Blue Right Up High Punch
SPRITE_SIZE_006     HEX        1900,3800            ; Player Blue Right Up Medium Punch
SPRITE_SIZE_007     HEX        1600,3800            ; Player Blue Right Up Block Punch
SPRITE_SIZE_008     HEX        1800,3800            ; Player Blue Right Up Prepare Back Kick
SPRITE_SIZE_009     HEX        2000,3100            ; Player Blue Right Up Back Kick
SPRITE_SIZE_00A     HEX        1000,3800            ; Player Blue Right Up Prepare Kick
SPRITE_SIZE_00B     HEX        1C00,3500            ; Player Blue Right Up Middle Kick
SPRITE_SIZE_00C     HEX        1F00,3500            ; Player Blue Right Up High Kick
SPRITE_SIZE_00D     HEX        1800,3800            ; Player Blue Right Up Low Kick
SPRITE_SIZE_00E     HEX        1400,3500            ; Player Blue Right Up Prepare Jump
SPRITE_SIZE_00F     HEX        1000,3800            ; Player Blue Right Up Roll Jump #1
SPRITE_SIZE_010     HEX        1000,4000            ; Player Blue Right Up Roll Jump #2
SPRITE_SIZE_011     HEX        1000,4800            ; Player Blue Right Up Roll Jump #3
SPRITE_SIZE_012     HEX        1000,5000            ; Player Blue Right Up Roll Jump #4
SPRITE_SIZE_013     HEX        1000,4C00            ; Player Blue Right Up Roll Jump #5
SPRITE_SIZE_014     HEX        1000,4400            ; Player Blue Right Up Roll Jump #6
SPRITE_SIZE_015     HEX        1000,3B00            ; Player Blue Right Up Roll Jump #7
SPRITE_SIZE_016     HEX        1000,3C00            ; Player Blue Right Up Flight Jump #1
SPRITE_SIZE_017     HEX        1000,4600            ; Player Blue Right Up Flight Jump #2
SPRITE_SIZE_018     HEX        1000,4D00            ; Player Blue Right Up Flight Jump #3
SPRITE_SIZE_019     HEX        1A00,4F00            ; Player Blue Right Up Flight Kick
SPRITE_SIZE_01A     HEX        1000,2900            ; Player Blue Right Duck Stand
SPRITE_SIZE_01B     HEX        1400,2A00            ; Player Blue Right Duck Punch
SPRITE_SIZE_01C     HEX        1700,2700            ; Player Blue Right Duck Kick
SPRITE_SIZE_01D     HEX        1000,2600            ; Player Blue Right Duck Half Turn
SPRITE_SIZE_01E     HEX        1300,3000            ; Player Blue Right Prepare Fall
*--
SPRITE_SIZE_01F     HEX        1700,2400            ; Player Blue Fall #1
SPRITE_SIZE_020     HEX        1900,1500            ; Player Blue Fall #2 
SPRITE_SIZE_021     HEX        1900,1200            ; Player Blue Fall #3
*--
SPRITE_SIZE_022     HEX        1600,3800            ; Player Blue Left Up Stand
SPRITE_SIZE_023     HEX        0F00,3800            ; Player Blue Left Up Mid-Walk
SPRITE_SIZE_024     HEX        1000,3700            ; Player Blue Left Up Half Turn
SPRITE_SIZE_025     HEX        1600,3800            ; Player Blue Left Up Prepare Punch
SPRITE_SIZE_026     HEX        1A00,3800            ; Player Blue Left Up High Punch
SPRITE_SIZE_027     HEX        1900,3800            ; Player Blue Left Up Medium Punch
SPRITE_SIZE_028     HEX        1600,3800            ; Player Blue Left Up Block Punch
SPRITE_SIZE_029     HEX        1800,3800            ; Player Blue Left Up Prepare Back Kick
SPRITE_SIZE_02A     HEX        2000,3100            ; Player Blue Left Up Back Kick
SPRITE_SIZE_02B     HEX        1000,3800            ; Player Blue Left Up Prepare Kick
SPRITE_SIZE_02C     HEX        1C00,3500            ; Player Blue Left Up Middle Kick
SPRITE_SIZE_02D     HEX        1F00,3500            ; Player Blue Left Up High Kick
SPRITE_SIZE_02E     HEX        1800,3800            ; Player Blue Left Up Low Kick
SPRITE_SIZE_02F     HEX        1400,3500            ; Player Blue Left Up Prepare Jump
SPRITE_SIZE_030     HEX        1000,3800            ; Player Blue Left Up Roll Jump #1
SPRITE_SIZE_031     HEX        1000,4000            ; Player Blue Left Up Roll Jump #2
SPRITE_SIZE_032     HEX        1000,4800            ; Player Blue Left Up Roll Jump #3
SPRITE_SIZE_033     HEX        1000,5000            ; Player Blue Left Up Roll Jump #4
SPRITE_SIZE_034     HEX        1000,4C00            ; Player Blue Left Up Roll Jump #5
SPRITE_SIZE_035     HEX        1000,4400            ; Player Blue Left Up Roll Jump #6
SPRITE_SIZE_036     HEX        1000,3B00            ; Player Blue Left Up Roll Jump #7
SPRITE_SIZE_037     HEX        1000,3C00            ; Player Blue Left Up Flight Jump #1
SPRITE_SIZE_038     HEX        1000,4600            ; Player Blue Left Up Flight Jump #2
SPRITE_SIZE_039     HEX        1000,4D00            ; Player Blue Left Up Flight Jump #3
SPRITE_SIZE_03A     HEX        1A00,4F00            ; Player Blue Left Up Flight Kick
SPRITE_SIZE_03B     HEX        1000,2900            ; Player Blue Left Duck Stand
SPRITE_SIZE_03C     HEX        1400,2A00            ; Player Blue Left Duck Punch
SPRITE_SIZE_03D     HEX        1700,2700            ; Player Blue Left Duck Kick
SPRITE_SIZE_03E     HEX        1000,2600            ; Player Blue Left Duck Half Turn
SPRITE_SIZE_03F     HEX        1300,3000            ; Player Blue Left Prepare Fall
*--
SPRITE_SIZE_040     HEX        0800,1300            ; Amphore
*--
SPRITE_SIZE_041     HEX        1600,3800            ; Player Red Right Up Stand
SPRITE_SIZE_042     HEX        0F00,3800            ; Player Red Right Up Mid-Walk
SPRITE_SIZE_043     HEX        1000,3700            ; Player Red Right Up Half Turn
SPRITE_SIZE_044     HEX        1600,3800            ; Player Red Right Up Prepare Punch
SPRITE_SIZE_045     HEX        1900,3800            ; Player Red Right Up High Punch
SPRITE_SIZE_046     HEX        1900,3800            ; Player Red Right Up Medium Punch
SPRITE_SIZE_047     HEX        1600,3800            ; Player Red Right Up Block Punch
SPRITE_SIZE_048     HEX        1800,3800            ; Player Red Right Up Prepare Back Kick
SPRITE_SIZE_049     HEX        2000,3100            ; Player Red Right Up Back Kick
SPRITE_SIZE_04A     HEX        1000,3800            ; Player Red Right Up Prepare Kick
SPRITE_SIZE_04B     HEX        1C00,3500            ; Player Red Right Up Middle Kick
SPRITE_SIZE_04C     HEX        1F00,3500            ; Player Red Right Up High Kick
SPRITE_SIZE_04D     HEX        1800,3800            ; Player Red Right Up Low Kick
SPRITE_SIZE_04E     HEX        1400,3500            ; Player Red Right Up Prepare Jump
SPRITE_SIZE_04F     HEX        1000,3800            ; Player Red Right Up Roll Jump #1
SPRITE_SIZE_050     HEX        1000,4000            ; Player Red Right Up Roll Jump #2
SPRITE_SIZE_051     HEX        1000,4800            ; Player Red Right Up Roll Jump #3
SPRITE_SIZE_052     HEX        1000,5000            ; Player Red Right Up Roll Jump #4
SPRITE_SIZE_053     HEX        1000,4C00            ; Player Red Right Up Roll Jump #5
SPRITE_SIZE_054     HEX        1000,4400            ; Player Red Right Up Roll Jump #6
SPRITE_SIZE_055     HEX        1000,3B00            ; Player Red Right Up Roll Jump #7
SPRITE_SIZE_056     HEX        1000,3C00            ; Player Red Right Up Flight Jump #1
SPRITE_SIZE_057     HEX        1000,4600            ; Player Red Right Up Flight Jump #2
SPRITE_SIZE_058     HEX        1000,4D00            ; Player Red Right Up Flight Jump #3
SPRITE_SIZE_059     HEX        1A00,4F00            ; Player Red Right Up Flight Kick
SPRITE_SIZE_05A     HEX        1000,2900            ; Player Red Right Duck Stand
SPRITE_SIZE_05B     HEX        1400,2A00            ; Player Red Right Duck Punch
SPRITE_SIZE_05C     HEX        1700,2700            ; Player Red Right Duck Kick
SPRITE_SIZE_05D     HEX        1000,2600            ; Player Red Right Duck Half Turn
SPRITE_SIZE_05E     HEX        1300,3000            ; Player Red Right Prepare Fall
*--
SPRITE_SIZE_05F     HEX        1700,2400            ; Player Red Fall #1
SPRITE_SIZE_060     HEX        1900,1500            ; Player Red Fall #2 
SPRITE_SIZE_061     HEX        1900,1200            ; Player Red Fall #3
*--
SPRITE_SIZE_062     HEX        1600,3800            ; Player Red Left Up Stand
SPRITE_SIZE_063     HEX        0F00,3800            ; Player Red Left Up Mid-Walk
SPRITE_SIZE_064     HEX        1000,3700            ; Player Red Left Up Half Turn
SPRITE_SIZE_065     HEX        1600,3800            ; Player Red Left Up Prepare Punch
SPRITE_SIZE_066     HEX        1A00,3800            ; Player Red Left Up High Punch
SPRITE_SIZE_067     HEX        1900,3800            ; Player Red Left Up Medium Punch
SPRITE_SIZE_068     HEX        1600,3800            ; Player Red Left Up Block Punch
SPRITE_SIZE_069     HEX        1800,3800            ; Player Red Left Up Prepare Back Kick
SPRITE_SIZE_06A     HEX        2000,3100            ; Player Red Left Up Back Kick
SPRITE_SIZE_06B     HEX        1000,3800            ; Player Red Left Up Prepare Kick
SPRITE_SIZE_06C     HEX        1C00,3500            ; Player Red Left Up Middle Kick
SPRITE_SIZE_06D     HEX        1F00,3500            ; Player Red Left Up High Kick
SPRITE_SIZE_06E     HEX        1800,3800            ; Player Red Left Up Low Kick
SPRITE_SIZE_06F     HEX        1400,3500            ; Player Red Left Up Prepare Jump
SPRITE_SIZE_070     HEX        1000,3800            ; Player Red Left Up Roll Jump #1
SPRITE_SIZE_071     HEX        1000,4000            ; Player Red Left Up Roll Jump #2
SPRITE_SIZE_072     HEX        1000,4800            ; Player Red Left Up Roll Jump #3
SPRITE_SIZE_073     HEX        1000,5000            ; Player Red Left Up Roll Jump #4
SPRITE_SIZE_074     HEX        1000,4C00            ; Player Red Left Up Roll Jump #5
SPRITE_SIZE_075     HEX        1000,4400            ; Player Red Left Up Roll Jump #6
SPRITE_SIZE_076     HEX        1000,3B00            ; Player Red Left Up Roll Jump #7
SPRITE_SIZE_077     HEX        1000,3C00            ; Player Red Left Up Flight Jump #1
SPRITE_SIZE_078     HEX        1000,4600            ; Player Red Left Up Flight Jump #2
SPRITE_SIZE_079     HEX        1000,4D00            ; Player Red Left Up Flight Jump #3
SPRITE_SIZE_07A     HEX        1A00,4F00            ; Player Red Left Up Flight Kick
SPRITE_SIZE_07B     HEX        1000,2900            ; Player Red Left Duck Stand
SPRITE_SIZE_07C     HEX        1400,2A00            ; Player Red Left Duck Punch
SPRITE_SIZE_07D     HEX        1700,2700            ; Player Red Left Duck Kick
SPRITE_SIZE_07E     HEX        1000,2600            ; Player Red Left Duck Half Turn
SPRITE_SIZE_07F     HEX        1300,3000            ; Player Red Left Prepare Fall
*--
SPRITE_SIZE_080     HEX        0800,0600            ; 500
SPRITE_SIZE_081     HEX        0400,0500            ; Smoke #1 (small)
SPRITE_SIZE_082     HEX        0600,0700            ; Smoke #2
SPRITE_SIZE_083     HEX        0700,0900            ; Smoke #3
SPRITE_SIZE_084     HEX        0800,0C00            ; Smoke #4 (large)
SPRITE_SIZE_085     HEX        0300,0500            ; Hit #1
SPRITE_SIZE_086     HEX        0300,0500            ; Hit #2
SPRITE_SIZE_087     HEX        0300,0500            ; Hit #3 (#)
SPRITE_SIZE_088     HEX        0300,0500            ; Hit #4
SPRITE_SIZE_089     HEX        0300,0600            ; Shuriken #1 (+)
SPRITE_SIZE_08A     HEX        0400,0600            ; Shuriken #2 (x)

*----------   Draw Sprite Bank  ------------------------------- 
TAB_SPRITE_BANK     HEX        0000,0000,0000,0000,0000,0000,0000,0000 ; 01-08
                    HEX        0000,0000,0000,0000,0000,0000,0000,0000 ; 09-10
                    HEX        0000,0000,0000,0000,0000,0000,0000,0000 ; 11-18
                    HEX        0000,0000,0000,0000,0000,0000,0000,0000 ; 19-20
                    HEX        0000,0000,0000,0000,0000,0000,0000,0000 ; 21-28
                    HEX        0000,0100,0100,0100,0100,0100,0100,0100 ; 29-30
                    HEX        0100,0100,0100,0100,0100,0100,0100,0100 ; 31-38
                    HEX        0100,0100,0100,0100,0100,0100,0100,0100 ; 39-40
                    HEX        0100,0100,0100,0100,0100,0100,0100,0100 ; 41-48
                    HEX        0100,0100,0100,0100,0100,0100,0100,0100 ; 49-50
                    HEX        0100,0100,0100,0200,0200,0200,0200,0200 ; 51-58
                    HEX        0200,0200,0200,0200,0200,0200,0200,0200 ; 59-60
                    HEX        0200,0200,0200,0200,0200,0200,0200,0200 ; 61-68
                    HEX        0200,0200,0200,0200,0200,0200,0200,0200 ; 69-70
                    HEX        0200,0200,0200,0200,0200,0200,0200,0200 ; 71-78
                    HEX        0200,0200,0200,0200,0200,0200,0200,0200 ; 79-80
                    HEX        0200,0300,0300,0300,0300,0300,0300,0300 ; 81-88
                    HEX        0300,0300                               ; 89-8A

TAB_SPRITE_ADDRESS  ADRL       DrawSpriteBank1,DrawSpriteBank2,DrawSpriteBank3,DrawSpriteBank4


********************************************************************
***                       Sequences Data                         ***
********************************************************************

*----------   Move Sequence ID : Nb Frame / Sprite #0 ID / Delta X (byte),Delta Y (line) / Sprite #1 ID / Delta X (byte),Delta Y (line)] / Sprite #2 ID /...                     
TAB_SEQUENCE_WIDTH  DS         2*128                ; Sequence Delta X

TAB_SEQUENCE_MOVE   HEX        0000                 ; 1 if this Sequence is a Move (Walk, Jump Roll, Flight Kick...)
                    HEX        0100,0100,0000,0000,0000,0000,0100,0100  ; Player Blue Right
                    HEX        0000,0100,0100,0000,0000,0000,0000,0000
                    HEX        0000,0000,0000,0100,0100,0000,0000,0000
                    HEX        0000,0000,0100,0100,0000
                    HEX        0100,0100,0000,0000,0000,0000,0100,0100 ; Player Blue Left
                    HEX        0000,0100,0100,0000,0000,0000,0000,0000
                    HEX        0000,0000,0000,0100,0100,0000,0000,0000
                    HEX        0000,0000,0100,0100,0000
                    HEX        0100,0100,0000,0000,0000,0000,0100,0100 ; Player Red Right
                    HEX        0000,0100,0100,0000,0000,0000,0000,0000
                    HEX        0000,0000,0000,0100,0100,0000,0000,0000
                    HEX        0000,0000,0100,0100,0000
                    HEX        0100,0100,0000,0000,0000,0000,0100,0100 ; Player Red Left
                    HEX        0000,0100,0100,0000,0000,0000,0000,0000
                    HEX        0000,0000,0000,0100,0100,0000,0000,0000
                    HEX        0000,0000,0100,0100,0000
                    HEX        0000,0000,0000,0000                     ; Player Duck Death
                                                            
TAB_MOVE_SEQUENCE   DA         MOVE_SEQUENCE_000
                    DA         MOVE_SEQUENCE_001,MOVE_SEQUENCE_002,MOVE_SEQUENCE_003,MOVE_SEQUENCE_004  ; Player Blue Right
                    DA         MOVE_SEQUENCE_005,MOVE_SEQUENCE_006,MOVE_SEQUENCE_007,MOVE_SEQUENCE_008
                    DA         MOVE_SEQUENCE_009,MOVE_SEQUENCE_00A,MOVE_SEQUENCE_00B,MOVE_SEQUENCE_00C
                    DA         MOVE_SEQUENCE_00D,MOVE_SEQUENCE_00E,MOVE_SEQUENCE_00F,MOVE_SEQUENCE_010
                    DA         MOVE_SEQUENCE_011,MOVE_SEQUENCE_012,MOVE_SEQUENCE_013,MOVE_SEQUENCE_014
                    DA         MOVE_SEQUENCE_015,MOVE_SEQUENCE_016,MOVE_SEQUENCE_017,MOVE_SEQUENCE_018
                    DA         MOVE_SEQUENCE_019,MOVE_SEQUENCE_01A,MOVE_SEQUENCE_01B,MOVE_SEQUENCE_01C
                    DA         MOVE_SEQUENCE_01D
                    DA                           MOVE_SEQUENCE_01E,MOVE_SEQUENCE_01F,MOVE_SEQUENCE_020  ; Player Blue Left
                    DA         MOVE_SEQUENCE_021,MOVE_SEQUENCE_022,MOVE_SEQUENCE_023,MOVE_SEQUENCE_024
                    DA         MOVE_SEQUENCE_025,MOVE_SEQUENCE_026,MOVE_SEQUENCE_027,MOVE_SEQUENCE_028
                    DA         MOVE_SEQUENCE_029,MOVE_SEQUENCE_02A,MOVE_SEQUENCE_02B,MOVE_SEQUENCE_02C                                        
                    DA         MOVE_SEQUENCE_02D,MOVE_SEQUENCE_02E,MOVE_SEQUENCE_02F,MOVE_SEQUENCE_030
                    DA         MOVE_SEQUENCE_031,MOVE_SEQUENCE_032,MOVE_SEQUENCE_033,MOVE_SEQUENCE_034
                    DA         MOVE_SEQUENCE_035,MOVE_SEQUENCE_036,MOVE_SEQUENCE_037,MOVE_SEQUENCE_038
                    DA         MOVE_SEQUENCE_039,MOVE_SEQUENCE_03A
                    DA                                             MOVE_SEQUENCE_03B,MOVE_SEQUENCE_03C  ; Player Red Right
                    DA         MOVE_SEQUENCE_03D,MOVE_SEQUENCE_03E,MOVE_SEQUENCE_03F,MOVE_SEQUENCE_040
                    DA         MOVE_SEQUENCE_041,MOVE_SEQUENCE_042,MOVE_SEQUENCE_043,MOVE_SEQUENCE_044
                    DA         MOVE_SEQUENCE_045,MOVE_SEQUENCE_046,MOVE_SEQUENCE_047,MOVE_SEQUENCE_048                                        
                    DA         MOVE_SEQUENCE_049,MOVE_SEQUENCE_04A,MOVE_SEQUENCE_04B,MOVE_SEQUENCE_04C
                    DA         MOVE_SEQUENCE_04D,MOVE_SEQUENCE_04E,MOVE_SEQUENCE_04F,MOVE_SEQUENCE_050
                    DA         MOVE_SEQUENCE_051,MOVE_SEQUENCE_052,MOVE_SEQUENCE_053,MOVE_SEQUENCE_054
                    DA         MOVE_SEQUENCE_055,MOVE_SEQUENCE_056,MOVE_SEQUENCE_057
                    DA                                                               MOVE_SEQUENCE_058  ; Player Red Left
                    DA         MOVE_SEQUENCE_059,MOVE_SEQUENCE_05A,MOVE_SEQUENCE_05B,MOVE_SEQUENCE_05C
                    DA         MOVE_SEQUENCE_05D,MOVE_SEQUENCE_05E,MOVE_SEQUENCE_05F,MOVE_SEQUENCE_060
                    DA         MOVE_SEQUENCE_061,MOVE_SEQUENCE_062,MOVE_SEQUENCE_063,MOVE_SEQUENCE_064                                        
                    DA         MOVE_SEQUENCE_065,MOVE_SEQUENCE_066,MOVE_SEQUENCE_067,MOVE_SEQUENCE_068
                    DA         MOVE_SEQUENCE_069,MOVE_SEQUENCE_06A,MOVE_SEQUENCE_06B,MOVE_SEQUENCE_06C
                    DA         MOVE_SEQUENCE_06D,MOVE_SEQUENCE_06E,MOVE_SEQUENCE_06F,MOVE_SEQUENCE_070
                    DA         MOVE_SEQUENCE_071,MOVE_SEQUENCE_072,MOVE_SEQUENCE_073,MOVE_SEQUENCE_074
                    DA         MOVE_SEQUENCE_075,MOVE_SEQUENCE_076,MOVE_SEQUENCE_077,MOVE_SEQUENCE_078  ; Player Duck Death
                    HEX        0000                      ; End of Sequence

MOVE_SEQUENCE_000   HEX        0000                      ; Sequence #0 does not exist                    
*---- Player Blue Right             
MOVE_SEQUENCE_001   HEX        0300,0100                 ; ### Player Blue Right : Walk Right    
                    HEX                  0700,0000       ; +7,0
                    HEX             0200
                    HEX                  0280,0000       ; -2,0
                    HEX             0100         
MOVE_SEQUENCE_002   HEX        0300,0100                 ; ### Player Blue Right : Walk Left
                    HEX                  0200,0000       ; +2,0
                    HEX             0200
                    HEX                  0780,0000       ; -7,0
                    HEX             0100                   
MOVE_SEQUENCE_003   HEX        0300,0100                 ; ### Player Blue Right : Go Down
                    HEX                  0200,0300       ; 2,+3
                    HEX             0E00
                    HEX                  0200,0C00       ; 2,+12
                    HEX             1A00             
MOVE_SEQUENCE_004   HEX        0300,1A00                 ; ### Player Blue Right : Go Up from Duck
                    HEX                  0280,0C80       ; -2,-12
                    HEX             0E00
                    HEX                  0280,0380       ; -2,-3
                    HEX             0100       
MOVE_SEQUENCE_005   HEX        0300,0100                 ; ### Player Blue Right : Turn Back
                    HEX                  0200,0100       ; +2,+1
                    HEX             2400
                    HEX                  0480,0180       ; -4,-1
                    HEX             2200
MOVE_SEQUENCE_006   HEX        0900,0100                 ; ### Player Blue Right : Jump Up
                    HEX                  0300,0400       ; +3,+4
                    HEX             0E00
                    HEX                  0000,0880       ; 0,-8
                    HEX             1600 
                    HEX                  0000,0A80       ; 0,-10
                    HEX             1700
                    HEX                  0000,0780       ; 0,-7
                    HEX             1800
                    HEX                  0000,0700       ; 0,+7
                    HEX             1700
                    HEX                  0000,0A00       ; 0,+10
                    HEX             1600
                    HEX                  0000,0800       ; 0,8
                    HEX             0E00
                    HEX                  0380,0480       ; -3,-4
                    HEX             0100                            
MOVE_SEQUENCE_007   HEX        0B00,0100                 ; ### Player Blue Right : Jump Roll Front Long
                    HEX                  0300,0400       ; +3,+4
                    HEX             0E00
                    HEX                  0100,0480       ; +1,-4
                    HEX             0F00 
                    HEX                  0400,0880       ; +4,-8
                    HEX             1000
                    HEX                  0600,0880       ; +6,-8
                    HEX             1100
                    HEX                  0600,0880       ; +6,-8
                    HEX             1200
                    HEX                  0600,0400       ; +6,+4
                    HEX             1300
                    HEX                  0700,0800       ; +7,+8
                    HEX             1400
                    HEX                  0300,0900       ; +3,+9
                    HEX             1500
                    HEX                  0200,0700       ; +2,+7
                    HEX             0E00
                    HEX                  0380,0480       ; -3,-4
                    HEX             0100     
MOVE_SEQUENCE_008   HEX        0B00,0100                 ; ### Player Blue Right : Jump Roll Front Short
                    HEX                  0300,0400       ; +3,+4
                    HEX             0E00
                    HEX                  0100,0480       ; +1,-4
                    HEX             0F00
                    HEX                  0200,0880       ; +2,-8
                    HEX             1000
                    HEX                  0300,0880       ; +3,-8
                    HEX             1100
                    HEX                  0300,0880       ; +3,-8
                    HEX             1200
                    HEX                  0300,0400       ; +3,+4
                    HEX             1300
                    HEX                  0300,0800       ; +3,+8
                    HEX             1400
                    HEX                  0100,0900       ; +1,+9
                    HEX             1500
                    HEX                  0200,0700       ; +2,+7
                    HEX             0E00
                    HEX                  0380,0480       ; -3,-4
                    HEX             0100     
MOVE_SEQUENCE_009   HEX        0B00,0100                 ; ### Player Blue Right : Jump Roll Front in Place
                    HEX                  0300,0400       ; +3,+4
                    HEX             0E00
                    HEX                  0000,0480       ; 0,-4
                    HEX             0F00
                    HEX                  0000,0880       ; 0,-8
                    HEX             1000
                    HEX                  0000,0880       ; 0,-8
                    HEX             1100
                    HEX                  0000,0880       ; 0,-8
                    HEX             1200
                    HEX                  0000,0400       ; 0,+4
                    HEX             1300
                    HEX                  0000,0800       ; 0,+8
                    HEX             1400
                    HEX                  0000,0900       ; 0,+9
                    HEX             1500
                    HEX                  0000,0700       ; 0,+7
                    HEX             0E00
                    HEX                  0380,0480       ; -3,-4
                    HEX             0100     
MOVE_SEQUENCE_00A   HEX        0B00,0100                 ; ### Player Blue Right : Jump Roll Back Long
                    HEX                  0300,0400       ; +3,+4
                    HEX             0E00
                    HEX                  0280,0780       ; -2,-7
                    HEX             1500
                    HEX                  0480,0980       ; -4,-9
                    HEX             1400
                    HEX                  0680,0880       ; -6,-8
                    HEX             1300
                    HEX                  0680,0480       ; -6,-4
                    HEX             1200
                    HEX                  0680,0800       ; -6,+8
                    HEX             1100
                    HEX                  0680,0800       ; -6,+8
                    HEX             1000
                    HEX                  0380,0800       ; -3,+8
                    HEX             0F00
                    HEX                  0280,0400       ; -2,+4
                    HEX             0E00
                    HEX                  0380,0480       ; -3,-4
                    HEX             0100     
MOVE_SEQUENCE_00B   HEX        0B00,0100                 ; ### Player Blue Right : Jump Roll Back Short
                    HEX                  0300,0400       ; +3,+4
                    HEX             0E00
                    HEX                  0180,0780       ; -1,-7
                    HEX             1500
                    HEX                  0280,0980       ; -2,-9
                    HEX             1400
                    HEX                  0380,0880       ; -3,-8
                    HEX             1300
                    HEX                  0380,0480       ; -3,-4
                    HEX             1200
                    HEX                  0380,0800       ; -3,+8
                    HEX             1100
                    HEX                  0380,0800       ; -3,+8
                    HEX             1000
                    HEX                  0180,0800       ; -1,+8
                    HEX             0F00
                    HEX                  0280,0400       ; -2,+4
                    HEX             0E00
                    HEX                  0380,0480       ; -3,-4
                    HEX             0100     
MOVE_SEQUENCE_00C   HEX        0B00,0100                 ; ### Player Blue Right : Jump Roll Back in Place
                    HEX                  0300,0400       ; +3,+4
                    HEX             0E00
                    HEX                  0000,0780       ; 0,-7
                    HEX             1500 
                    HEX                  0000,0980       ; 0,-9
                    HEX             1400
                    HEX                  0000,0880       ; 0,-8
                    HEX             1300
                    HEX                  0000,0480       ; 0,-4
                    HEX             1200
                    HEX                  0000,0800       ; 0,+8
                    HEX             1100
                    HEX                  0000,0800       ; 0,+8
                    HEX             1000
                    HEX                  0000,0800       ; 0,+8
                    HEX             0F00
                    HEX                  0000,0400       ; 0,+4
                    HEX             0E00
                    HEX                  0380,0480       ; -3,-4
                    HEX             0100     
MOVE_SEQUENCE_00D   HEX        0500,0100                 ; ### Player Blue Right : Protect
                    HEX                  0000,0000       ; 0,0
                    HEX             0700
                    HEX                  0000,0000       ; 0,0
                    HEX             0700
                    HEX                  0000,0000       ; 0,0
                    HEX             0700
                    HEX                  0000,0000       ; 0,0
                    HEX             0100                     
MOVE_SEQUENCE_00E   HEX        0500,0100                 ; ### Player Blue Right : High Punch
                    HEX                  0000,0000       ; 0,0
                    HEX             0400
                    HEX                  0000,0000       ; 0,0
                    HEX             0500
                    HEX                  0000,0000       ; 0,0
                    HEX             0400
                    HEX                  0000,0000       ; 0,0
                    HEX             0100                      
MOVE_SEQUENCE_00F   HEX        0500,0100                 ; ### Player Blue Right : Middle Punch
                    HEX                  0000,0000       ; 0,0
                    HEX             0400
                    HEX                  0000,0000       ; 0,0
                    HEX             0600
                    HEX                  0000,0000       ; 0,0
                    HEX             0400
                    HEX                  0000,0000       ; 0,0
                    HEX             0100   
MOVE_SEQUENCE_010   HEX        0500,0100                 ; ### Player Blue Right : High Kick
                    HEX                  0400,0000       ; +4,0
                    HEX             0A00
                    HEX                  0380,0300       ; -3,+3
                    HEX             0C00
                    HEX                  0300,0380       ; +3,-3
                    HEX             0A00
                    HEX                  0480,0000       ; -4,0
                    HEX             0100   
MOVE_SEQUENCE_011   HEX        0500,0100                 ; ### Player Blue Right : Middle Kick
                    HEX                  0400,0000       ; +4,0
                    HEX             0A00
                    HEX                  0380,0300       ; -3,+3
                    HEX             0B00
                    HEX                  0300,0380       ; +3,-3
                    HEX             0A00
                    HEX                  0480,0000       ; -4,0
                    HEX             0100   
MOVE_SEQUENCE_012   HEX        0500,0100                 ; ### Player Blue Right : Low Kick
                    HEX                  0600,0000       ; +6,0
                    HEX             0A00
                    HEX                  0380,0000       ; -3,0
                    HEX             0D00
                    HEX                  0300,0000       ; +3,0
                    HEX             0A00
                    HEX                  0680,0000       ; -6,0
                    HEX             0100   
MOVE_SEQUENCE_013   HEX        0500,0100                 ; ### Player Blue Right : Back High Kick
                    HEX                  0180,0000       ; -1,0
                    HEX             0800
                    HEX                  0380,0700       ; -3,+7
                    HEX             0900
                    HEX                  0300,0780       ; +3,-7
                    HEX             0800
                    HEX                  0100,0000       ; +1,0
                    HEX             0100   
MOVE_SEQUENCE_014   HEX        0A00,0100                 ; ### Player Blue Right : Flight Kick Long
                    HEX                  0300,0400       ; +3,+4
                    HEX             0E00
                    HEX                  0300,0880       ; +3,-8
                    HEX             1600
                    HEX                  0300,0A80       ; +3,-10
                    HEX             1700
                    HEX                  0300,0780       ; +3,-7
                    HEX             1800
                    HEX                  0300,0280       ; +3,-2
                    HEX             1900
                    HEX                  0300,0900       ; +3,+9
                    HEX             1700
                    HEX                  0200,0A00       ; +2,+10
                    HEX             1600
                    HEX                  0100,0800       ; +1,+8
                    HEX             0E00
                    HEX                  0000,0480       ; 0,-4
                    HEX             0100
MOVE_SEQUENCE_015   HEX        0A00,0100                 ; ### Player Blue Right : Flight Kick Short
                    HEX                  0300,0400       ; +3,+4
                    HEX             0E00
                    HEX                  0200,0880       ; +2,-8
                    HEX             1600
                    HEX                  0200,0A80       ; +2,-10
                    HEX             1700
                    HEX                  0100,0780       ; +1,-7
                    HEX             1800
                    HEX                  0100,0280       ; +1,-2
                    HEX             1900
                    HEX                  0100,0900       ; +1,+9
                    HEX             1700
                    HEX                  0100,0A00       ; +1,+10
                    HEX             1600
                    HEX                  0100,0800       ; +1,+8
                    HEX             0E00
                    HEX                  0180,0480       ; -1,-4
                    HEX             0100
MOVE_SEQUENCE_016   HEX        0A00,0100                 ; ### Player Blue Right : Flight Kick in Place
                    HEX                  0300,0400       ; +3,+4
                    HEX             0E00
                    HEX                  0100,0880       ; 1,-8
                    HEX             1600
                    HEX                  0000,0A80       ; 0,-10
                    HEX             1700
                    HEX                  0000,0780       ; 0,-7
                    HEX             1800
                    HEX                  0000,0280       ; 0,-2
                    HEX             1900
                    HEX                  0000,0900       ; 0,+9
                    HEX             1700
                    HEX                  0000,0A00       ; 0,+10
                    HEX             1600
                    HEX                  0180,0800       ; -1,+8
                    HEX             0E00
                    HEX                  0380,0480       ; -3,-4
                    HEX             0100
MOVE_SEQUENCE_017   HEX        0300,1A00                 ; ### Player Blue Right : Duck Punch
                    HEX                  0400,0180       ; +4,-1
                    HEX             1B00
                    HEX                  0480,0100       ; -4,+1
                    HEX             1A00                      
MOVE_SEQUENCE_018   HEX        0300,1A00                 ; ### Player Blue Right : Duck Kick
                    HEX                  0180,0200       ; -1,+2
                    HEX             1C00
                    HEX                  0100,0280       ; +1,-2
                    HEX             1A00                            
MOVE_SEQUENCE_019   HEX        0500,1A00                 ; ### Player Blue Right : Duck Back Kick
                    HEX                  0780,0300       ; -7,+3
                    HEX             1D00
                    HEX                  0580,0180       ; -5,-1
                    HEX             3D00
                    HEX                  0500,0100       ; +5,+1                      
                    HEX             1D00
                    HEX                  0700,0380       ; +7,-3
                    HEX             1A00
MOVE_SEQUENCE_01A   HEX        0400,0100                 ; ### Player Blue Right : Touched in Place
                    HEX                  0000,0800       ; 0,+8
                    HEX             1E00
                    HEX                  0000,0000       ; 0,0
                    HEX             1E00
                    HEX                  0000,0880       ; 0,-8
                    HEX             0100       
MOVE_SEQUENCE_01B   HEX        0400,0100                 ; ### Player Blue Right : Touched go Left
                    HEX                  0200,0800       ; +2,+8
                    HEX             1E00
                    HEX                  0000,0000       ; 0,0
                    HEX             1E00
                    HEX                  0680,0880       ; -6,-8
                    HEX             0100  
MOVE_SEQUENCE_01C   HEX        0400,0100                 ; ### Player Blue Right : Touched go Right
                    HEX                  0500,0800       ; +5,+8
                    HEX             1E00
                    HEX                  0000,0000       ; 0,0
                    HEX             1E00
                    HEX                  0180,0880       ; -1,-8
                    HEX             0100                      
MOVE_SEQUENCE_01D   HEX        0500,0100                 ; ### Player Blue Right : Dying
                    HEX                  0000,0800       ; 0,+8
                    HEX             1E00
                    HEX                  0280,0C00       ; -2,+12
                    HEX             1F00
                    HEX                  0180,0F00       ; -1,+15                    
                    HEX             2000
                    HEX                  0000,0300       ; 0,+3
                    HEX             2100
*---- Player Blue Left                    
MOVE_SEQUENCE_01E   HEX        0300,2200                 ; ### Player Blue Left : Walk Left
                    HEX                  0000,0000       ; 0,0
                    HEX             2300
                    HEX                  0580,0000       ; -5,0
                    HEX             2200         
MOVE_SEQUENCE_01F   HEX        0300,2200                 ; ### Player Blue Left : Walk Right
                    HEX                  0500,0000       ; +5,0
                    HEX             2300
                    HEX                  0000,0000       ; 0,0
                    HEX             2200                   
MOVE_SEQUENCE_020   HEX        0300,2200                 ; ### Player Blue Left : Go Down
                    HEX                  0000,0300       ; 0,+3
                    HEX             2F00
                    HEX                  0200,0C00       ; 2,+12
                    HEX             3B00             
MOVE_SEQUENCE_021   HEX        0300,3B00                 ; ### Player Blue Left : Go Up from Duck
                    HEX                  0280,0C80       ; -2,-12
                    HEX             2F00
                    HEX                  0000,0380       ; 0,-3
                    HEX             2200       
MOVE_SEQUENCE_022   HEX        0300,2200                 ; ### Player Blue Left : Turn Back
                    HEX                  0300,0100       ; +3,+1
                    HEX             2400
                    HEX                  0180,0180       ; -1,-1
                    HEX             0100
MOVE_SEQUENCE_023   HEX        0900,2200                 ; ### Player Blue Left : Jump Up
                    HEX                  0180,0400       ; -1,+4
                    HEX             2F00
                    HEX                  0400,0880       ; +4,-8
                    HEX             3700 
                    HEX                  0000,0A80       ; 0,-10
                    HEX             3800
                    HEX                  0000,0780       ; 0,-7
                    HEX             3900
                    HEX                  0000,0700       ; 0,+7
                    HEX             3800
                    HEX                  0000,0A00       ; 0,+10
                    HEX             3700
                    HEX                  0480,0800       ; -4,+8
                    HEX             2F00
                    HEX                  0100,0480       ; +1,-4
                    HEX             2200                            
MOVE_SEQUENCE_024   HEX        0B00,2200                 ; ### Player Blue Left : Jump Roll Front Long
                    HEX                  0180,0400       ; -1,+4
                    HEX             2F00
                    HEX                  0300,0480       ; +3,-4
                    HEX             3000 
                    HEX                  0480,0880       ; -4,-8
                    HEX             3100
                    HEX                  0680,0880       ; -6,-8
                    HEX             3200
                    HEX                  0680,0880       ; -6,-8
                    HEX             3300
                    HEX                  0680,0400       ; -6,+4
                    HEX             3400
                    HEX                  0780,0800       ; -7,+8
                    HEX             3500
                    HEX                  0380,0900       ; -3,+9
                    HEX             3600
                    HEX                  0680,0700       ; -6,+7
                    HEX             2F00
                    HEX                  0100,0480       ; +1,-4
                    HEX             2200     
MOVE_SEQUENCE_025   HEX        0B00,2200                 ; ### Player Blue Left : Jump Roll Front Short
                    HEX                  0180,0400       ; -1,+4
                    HEX             2F00
                    HEX                  0300,0480       ; +3,-4
                    HEX             3000
                    HEX                  0280,0880       ; -2,-8
                    HEX             3100
                    HEX                  0380,0880       ; -3,-8
                    HEX             3200
                    HEX                  0380,0880       ; -3,-8
                    HEX             3300
                    HEX                  0380,0400       ; -3,+4
                    HEX             3400
                    HEX                  0380,0800       ; -3,+8
                    HEX             3500
                    HEX                  0180,0900       ; -1,+9
                    HEX             3600
                    HEX                  0680,0700       ; -6,+7
                    HEX             2F00
                    HEX                  0100,0480       ; +1,-4
                    HEX             2200     
MOVE_SEQUENCE_026   HEX        0B00,2200                 ; ### Player Blue Left : Jump Roll Front in Place
                    HEX                  0180,0400       ; -1,+4
                    HEX             2F00
                    HEX                  0400,0480       ; +4,-4
                    HEX             3000
                    HEX                  0000,0880       ; 0,-8
                    HEX             3100
                    HEX                  0000,0880       ; 0,-8
                    HEX             3200
                    HEX                  0000,0880       ; 0,-8
                    HEX             3300
                    HEX                  0000,0400       ; 0,+4
                    HEX             3400
                    HEX                  0000,0800       ; 0,+8
                    HEX             3500
                    HEX                  0000,0900       ; 0,+9
                    HEX             3600
                    HEX                  0480,0700       ; -4,+7
                    HEX             2F00
                    HEX                  0100,0480       ; +1,-4
                    HEX             2200     
MOVE_SEQUENCE_027   HEX        0B00,2200                 ; ### Player Blue Left : Jump Roll Back Long
                    HEX                  0180,0400       ; -1,+4
                    HEX             2F00
                    HEX                  0600,0780       ; +6,-7
                    HEX             3600
                    HEX                  0400,0980       ; +4,-9
                    HEX             3500
                    HEX                  0600,0880       ; +6,-8
                    HEX             3400
                    HEX                  0600,0480       ; +6,-4
                    HEX             3300
                    HEX                  0600,0800       ; +6,+8
                    HEX             3200
                    HEX                  0600,0800       ; +6,+8
                    HEX             3100
                    HEX                  0300,0800       ; +3,+8
                    HEX             3000
                    HEX                  0280,0400       ; -2,+4
                    HEX             2F00
                    HEX                  0100,0480       ; +1,-4
                    HEX             2200     
MOVE_SEQUENCE_028   HEX        0B00,2200                 ; ### Player Blue Left : Jump Roll Back Short
                    HEX                  0180,0400       ; -1,+4
                    HEX             2F00
                    HEX                  0500,0780       ; +5,-7
                    HEX             3600
                    HEX                  0200,0980       ; +2,-9
                    HEX             3500
                    HEX                  0300,0880       ; +3,-8
                    HEX             3400
                    HEX                  0300,0480       ; +3,-4
                    HEX             3300
                    HEX                  0300,0800       ; +3,+8
                    HEX             3200
                    HEX                  0300,0800       ; +3,+8
                    HEX             3100
                    HEX                  0100,0800       ; +1,+8
                    HEX             3000
                    HEX                  0280,0400       ; -2,+4
                    HEX             2F00
                    HEX                  0100,0480       ; +1,-4
                    HEX             2200     
MOVE_SEQUENCE_029   HEX        0B00,2200                 ; ### Player Blue Left : Jump Roll Back in Place
                    HEX                  0180,0400       ; -1,+4
                    HEX             2F00
                    HEX                  0400,0780       ; +4,-7
                    HEX             3600 
                    HEX                  0000,0980       ; 0,-9
                    HEX             3500
                    HEX                  0000,0880       ; 0,-8
                    HEX             3400
                    HEX                  0000,0480       ; 0,-4
                    HEX             3300
                    HEX                  0000,0800       ; 0,+8
                    HEX             3200
                    HEX                  0000,0800       ; 0,+8
                    HEX             3100
                    HEX                  0000,0800       ; 0,+8
                    HEX             3000
                    HEX                  0480,0400       ; -4,+4
                    HEX             2F00
                    HEX                  0100,0480       ; +1,-4
                    HEX             2200     
MOVE_SEQUENCE_02A   HEX        0500,2200                 ; ### Player Blue Left : Protect
                    HEX                  0000,0000       ; 0,0
                    HEX             2800
                    HEX                  0000,0000       ; 0,0
                    HEX             2800
                    HEX                  0000,0000       ; 0,0
                    HEX             2800
                    HEX                  0000,0000       ; 0,0
                    HEX             2200                     
MOVE_SEQUENCE_02B   HEX        0500,2200                 ; ### Player Blue Left : High Punch
                    HEX                  0000,0000       ; 0,0
                    HEX             2500
                    HEX                  0480,0000       ; -4,0
                    HEX             2600
                    HEX                  0400,0000       ; +4,0
                    HEX             2500
                    HEX                  0000,0000       ; 0,0
                    HEX             2200                      
MOVE_SEQUENCE_02C   HEX        0500,2200                 ; ### Player Blue Left : Middle Punch
                    HEX                  0000,0000       ; 0,0
                    HEX             2500
                    HEX                  0480,0000       ; -4,0
                    HEX             2700
                    HEX                  0400,0000       ; +4,0
                    HEX             2500
                    HEX                  0000,0000       ; 0,0
                    HEX             2200   
MOVE_SEQUENCE_02D   HEX        0500,2200                 ; ### Player Blue Left : High Kick
                    HEX                  0100,0000       ; +1,0
                    HEX             2B00
                    HEX                  0C80,0300       ; -12,+3
                    HEX             2D00
                    HEX                  0C00,0380       ; +12,-3
                    HEX             2B00
                    HEX                  0180,0000       ; -1,0
                    HEX             2200   
MOVE_SEQUENCE_02E   HEX        0500,2200                 ; ### Player Blue Left : Middle Kick
                    HEX                  0100,0000       ; +1,0
                    HEX             2B00
                    HEX                  0980,0300       ; -9,+3
                    HEX             2C00
                    HEX                  0900,0380       ; +9,-3
                    HEX             2B00
                    HEX                  0180,0000       ; -1,0
                    HEX             2200   
MOVE_SEQUENCE_02F   HEX        0500,2200                 ; ### Player Blue Left : Low Kick
                    HEX                  0180,0000       ; -1,0
                    HEX             2B00
                    HEX                  0580,0000       ; -5,0
                    HEX             2E00
                    HEX                  0500,0000       ; +5,0
                    HEX             2B00
                    HEX                  0100,0000       ; +1,0
                    HEX             2200   
MOVE_SEQUENCE_030   HEX        0500,2200                 ; ### Player Blue Left : Back High Kick
                    HEX                  0180,0000       ; -1,0
                    HEX             2900
                    HEX                  0580,0700       ; -5,+7
                    HEX             2A00
                    HEX                  0500,0780       ; +5,-7
                    HEX             2900
                    HEX                  0100,0000       ; +1,0
                    HEX             2200   
MOVE_SEQUENCE_031   HEX        0A00,2200                 ; ### Player Blue Left : Flight Kick Long
                    HEX                  0180,0400       ; -1,+4
                    HEX             2F00
                    HEX                  0100,0880       ; +1,-8
                    HEX             3700
                    HEX                  0380,0A80       ; -3,-10
                    HEX             3800
                    HEX                  0380,0780       ; -3,-7
                    HEX             3900
                    HEX                  0D80,0280       ; -13,-2
                    HEX             3A00
                    HEX                  0600,0900       ; +6,+9
                    HEX             3800
                    HEX                  0280,0A00       ; -2,+10
                    HEX             3700
                    HEX                  0580,0800       ; -5,+8
                    HEX             2F00
                    HEX                  0180,0480       ; -1,-4
                    HEX             2200
MOVE_SEQUENCE_032   HEX        0A00,2200                 ; ### Player Blue Left : Flight Kick Short
                    HEX                  0180,0400       ; -1,+4
                    HEX             2F00
                    HEX                  0200,0880       ; +2,-8
                    HEX             3700
                    HEX                  0280,0A80       ; -2,-10
                    HEX             3800
                    HEX                  0180,0780       ; -1,-7
                    HEX             3900
                    HEX                  0A80,0280       ; -10,-2
                    HEX             3A00
                    HEX                  0800,0900       ; +8,+9
                    HEX             3800
                    HEX                  0180,0A00       ; -1,+10
                    HEX             3700
                    HEX                  0580,0800       ; -5,+8
                    HEX             2F00
                    HEX                  0180,0480       ; -1,-4
                    HEX             2200
MOVE_SEQUENCE_033   HEX        0A00,2200                 ; ### Player Blue Left : Flight Kick in Place
                    HEX                  0180,0400       ; -1,+4
                    HEX             2F00
                    HEX                  0300,0880       ; +3,-8
                    HEX             3700
                    HEX                  0000,0A80       ; 0,-10
                    HEX             3800
                    HEX                  0000,0780       ; 0,-7
                    HEX             3900
                    HEX                  0980,0280       ; -9,-2
                    HEX             3A00
                    HEX                  0900,0900       ; +9,+9
                    HEX             3800
                    HEX                  0000,0A00       ; 0,+10
                    HEX             3700
                    HEX                  0380,0800       ; -3,+8
                    HEX             2F00
                    HEX                  0100,0480       ; +1,-4
                    HEX             2200
MOVE_SEQUENCE_034   HEX        0300,3B00                 ; ### Player Blue Left : Duck Punch
                    HEX                  0480,0180       ; -4,-1
                    HEX             3C00
                    HEX                  0400,0100       ; +4,+1
                    HEX             3B00                      
MOVE_SEQUENCE_035   HEX        0300,3B00                 ; ### Player Blue Left : Duck Kick
                    HEX                  0100,0200       ; +1,+2
                    HEX             3D00
                    HEX                  0180,0280       ; -1,-2
                    HEX             3B00                            
MOVE_SEQUENCE_036   HEX        0500,3B00                 ; ### Player Blue Left : Duck Back Kick
                    HEX                  0700,0300       ; +7,+3
                    HEX             3E00
                    HEX                  0500,0180       ; +5,-1
                    HEX             1C00
                    HEX                  0580,0100       ; -5,+1                      
                    HEX             3E00
                    HEX                  0780,0380       ; -7,-3
                    HEX             3B00
MOVE_SEQUENCE_037   HEX        0400,2200                 ; ### Player Blue Left : Touched in Place
                    HEX                  0300,0800       ; +3,+8
                    HEX             3F00
                    HEX                  0000,0000       ; 0,0
                    HEX             3F00
                    HEX                  0380,0880       ; -3,-8
                    HEX             2200       
MOVE_SEQUENCE_038   HEX        0400,2200                 ; ### Player Blue Left : Touched go Left
                    HEX                  0380,0800       ; -3,+8
                    HEX             3F00
                    HEX                  0000,0000       ; 0,0
                    HEX             3F00
                    HEX                  0180,0880       ; -1,-8
                    HEX             2200  
MOVE_SEQUENCE_039   HEX        0400,2200                 ; ### Player Blue Left : Touched go Right
                    HEX                  0100,0800       ; +1,+8
                    HEX             3F00
                    HEX                  0000,0000       ; 0,0
                    HEX             3F00
                    HEX                  0300,0880       ; +3,-8
                    HEX             2200                      
MOVE_SEQUENCE_03A   HEX        0500,2200                 ; ### Player Blue Left : Dying
                    HEX                  0200,0800       ; +2,+8
                    HEX             3F00
                    HEX                  0180,0C00       ; -1,+12
                    HEX             1F00
                    HEX                  0180,0F00       ; -1,+15                    
                    HEX             2000
                    HEX                  0000,0300       ; 0,+3
                    HEX             2100
*---- Player Red Right             
MOVE_SEQUENCE_03B   HEX        0300,4100                 ; ### Player Red Right : Walk Right    
                    HEX                  0700,0000       ; +7,0
                    HEX             4200
                    HEX                  0280,0000       ; -2,0
                    HEX             4100         
MOVE_SEQUENCE_03C   HEX        0300,4100                 ; ### Player Red Right : Walk Left
                    HEX                  0200,0000       ; +2,0
                    HEX             4200
                    HEX                  0780,0000       ; -7,0
                    HEX             4100                   
MOVE_SEQUENCE_03D   HEX        0300,4100                 ; ### Player Red Right : Go Down
                    HEX                  0200,0300       ; +2,+3
                    HEX             4E00
                    HEX                  0200,0C00       ; +2,+12
                    HEX             5A00             
MOVE_SEQUENCE_03E   HEX        0300,5A00                 ; ### Player Red Right : Go Up from Duck
                    HEX                  0280,0C80       ; -2,-12
                    HEX             4E00
                    HEX                  0280,0380       ; -2,-3
                    HEX             4100       
MOVE_SEQUENCE_03F   HEX        0300,4100                 ; ### Player Red Right : Turn Back
                    HEX                  0200,0100       ; +2,+1
                    HEX             6400
                    HEX                  0480,0180       ; -4,-1
                    HEX             6200
MOVE_SEQUENCE_040   HEX        0900,4100                 ; ### Player Red Right : Jump Up
                    HEX                  0300,0400       ; +3,+4
                    HEX             4E00
                    HEX                  0000,0880       ; 0,-8
                    HEX             5600 
                    HEX                  0000,0A80       ; 0,-10
                    HEX             5700
                    HEX                  0000,0780       ; 0,-7
                    HEX             5800
                    HEX                  0000,0700       ; 0,+7
                    HEX             5700
                    HEX                  0000,0A00       ; 0,+10
                    HEX             5600
                    HEX                  0000,0800       ; 0,8
                    HEX             4E00
                    HEX                  0380,0480       ; -3,-4
                    HEX             4100                            
MOVE_SEQUENCE_041   HEX        0B00,4100                 ; ### Player Red Right : Jump Roll Front Long
                    HEX                  0300,0400       ; +3,+4
                    HEX             4E00
                    HEX                  0100,0480       ; +1,-4
                    HEX             4F00 
                    HEX                  0400,0880       ; +4,-8
                    HEX             5000
                    HEX                  0600,0880       ; +6,-8
                    HEX             5100
                    HEX                  0600,0880       ; +6,-8
                    HEX             5200
                    HEX                  0600,0400       ; +6,+4
                    HEX             5300
                    HEX                  0700,0800       ; +7,+8
                    HEX             5400
                    HEX                  0300,0900       ; +3,+9
                    HEX             5500
                    HEX                  0200,0700       ; +2,+7
                    HEX             4E00
                    HEX                  0380,0480       ; -3,-4
                    HEX             4100     
MOVE_SEQUENCE_042   HEX        0B00,4100                 ; ### Player Red Right : Jump Roll Front Short
                    HEX                  0300,0400       ; +3,+4
                    HEX             4E00
                    HEX                  0100,0480       ; +1,-4
                    HEX             4F00
                    HEX                  0200,0880       ; +2,-8
                    HEX             5000
                    HEX                  0300,0880       ; +3,-8
                    HEX             5100
                    HEX                  0300,0880       ; +3,-8
                    HEX             5200
                    HEX                  0300,0400       ; +3,+4
                    HEX             5300
                    HEX                  0300,0800       ; +3,+8
                    HEX             5400
                    HEX                  0100,0900       ; +1,+9
                    HEX             5500
                    HEX                  0200,0700       ; +2,+7
                    HEX             4E00
                    HEX                  0380,0480       ; -3,-4
                    HEX             4100     
MOVE_SEQUENCE_043   HEX        0B00,4100                 ; ### Player Red Right : Jump Roll Front in Place
                    HEX                  0300,0400       ; +3,+4
                    HEX             4E00
                    HEX                  0000,0480       ; 0,-4
                    HEX             4F00
                    HEX                  0000,0880       ; 0,-8
                    HEX             5000
                    HEX                  0000,0880       ; 0,-8
                    HEX             5100
                    HEX                  0000,0880       ; 0,-8
                    HEX             5200
                    HEX                  0000,0400       ; 0,+4
                    HEX             5300
                    HEX                  0000,0800       ; 0,+8
                    HEX             5400
                    HEX                  0000,0900       ; 0,+9
                    HEX             5500
                    HEX                  0000,0700       ; 0,+7
                    HEX             4E00
                    HEX                  0380,0480       ; -3,-4
                    HEX             4100     
MOVE_SEQUENCE_044   HEX        0B00,4100                 ; ### Player Red Right : Jump Roll Back Long
                    HEX                  0300,0400       ; +3,+4
                    HEX             4E00
                    HEX                  0280,0780       ; -2,-7
                    HEX             5500
                    HEX                  0480,0980       ; -4,-9
                    HEX             5400
                    HEX                  0680,0880       ; -6,-8
                    HEX             5300
                    HEX                  0680,0480       ; -6,-4
                    HEX             5200
                    HEX                  0680,0800       ; -6,+8
                    HEX             5100
                    HEX                  0680,0800       ; -6,+8
                    HEX             5000
                    HEX                  0380,0800       ; -3,+8
                    HEX             4F00
                    HEX                  0280,0400       ; -2,+4
                    HEX             4E00
                    HEX                  0380,0480       ; -3,-4
                    HEX             4100     
MOVE_SEQUENCE_045   HEX        0B00,4100                 ; ### Player Red Right : Jump Roll Back Short
                    HEX                  0300,0400       ; +3,+4
                    HEX             4E00
                    HEX                  0180,0780       ; -1,-7
                    HEX             5500
                    HEX                  0280,0980       ; -2,-9
                    HEX             5400
                    HEX                  0380,0880       ; -3,-8
                    HEX             5300
                    HEX                  0380,0480       ; -3,-4
                    HEX             5200
                    HEX                  0380,0800       ; -3,+8
                    HEX             5100
                    HEX                  0380,0800       ; -3,+8
                    HEX             5000
                    HEX                  0180,0800       ; -1,+8
                    HEX             4F00
                    HEX                  0280,0400       ; -2,+4
                    HEX             4E00
                    HEX                  0380,0480       ; -3,-4
                    HEX             4100     
MOVE_SEQUENCE_046   HEX        0B00,4100                 ; ### Player Red Right : Jump Roll Back in Place
                    HEX                  0300,0400       ; +3,+4
                    HEX             4E00
                    HEX                  0000,0780       ; 0,-7
                    HEX             5500 
                    HEX                  0000,0980       ; 0,-9
                    HEX             5400
                    HEX                  0000,0880       ; 0,-8
                    HEX             5300
                    HEX                  0000,0480       ; 0,-4
                    HEX             5200
                    HEX                  0000,0800       ; 0,+8
                    HEX             5100
                    HEX                  0000,0800       ; 0,+8
                    HEX             5000
                    HEX                  0000,0800       ; 0,+8
                    HEX             4F00
                    HEX                  0000,0400       ; 0,+4
                    HEX             4E00
                    HEX                  0380,0480       ; -3,-4
                    HEX             4100     
MOVE_SEQUENCE_047   HEX        0500,4100                 ; ### Player Red Right : Protect
                    HEX                  0000,0000       ; 0,0
                    HEX             4700
                    HEX                  0000,0000       ; 0,0
                    HEX             4700
                    HEX                  0000,0000       ; 0,0
                    HEX             4700
                    HEX                  0000,0000       ; 0,0
                    HEX             4100                     
MOVE_SEQUENCE_048   HEX        0500,4100                 ; ### Player Red Right : High Punch
                    HEX                  0000,0000       ; 0,0
                    HEX             4400
                    HEX                  0000,0000       ; 0,0
                    HEX             4500
                    HEX                  0000,0000       ; 0,0
                    HEX             4400
                    HEX                  0000,0000       ; 0,0
                    HEX             4100                      
MOVE_SEQUENCE_049   HEX        0500,4100                 ; ### Player Red Right : Middle Punch
                    HEX                  0000,0000       ; 0,0
                    HEX             4400
                    HEX                  0000,0000       ; 0,0
                    HEX             4600
                    HEX                  0000,0000       ; 0,0
                    HEX             4400
                    HEX                  0000,0000       ; 0,0
                    HEX             4100   
MOVE_SEQUENCE_04A   HEX        0500,4100                 ; ### Player Red Right : High Kick
                    HEX                  0400,0000       ; +4,0
                    HEX             4A00
                    HEX                  0380,0300       ; -3,+3
                    HEX             4C00
                    HEX                  0300,0380       ; +3,-3
                    HEX             4A00
                    HEX                  0480,0000       ; -4,0
                    HEX             4100   
MOVE_SEQUENCE_04B   HEX        0500,4100                 ; ### Player Red Right : Middle Kick
                    HEX                  0400,0000       ; +4,0
                    HEX             4A00
                    HEX                  0380,0300       ; -3,+3
                    HEX             4B00
                    HEX                  0300,0380       ; +3,-3
                    HEX             4A00
                    HEX                  0480,0000       ; -4,0
                    HEX             4100   
MOVE_SEQUENCE_04C   HEX        0500,4100                 ; ### Player Red Right : Low Kick
                    HEX                  0600,0000       ; +6,0
                    HEX             4A00
                    HEX                  0380,0000       ; -3,0
                    HEX             4D00
                    HEX                  0300,0000       ; +3,0
                    HEX             4A00
                    HEX                  0680,0000       ; -6,0
                    HEX             4100   
MOVE_SEQUENCE_04D   HEX        0500,4100                 ; ### Player Red Right : Back High Kick
                    HEX                  0180,0000       ; -1,0
                    HEX             4800
                    HEX                  0380,0700       ; -3,+7
                    HEX             4900
                    HEX                  0300,0780       ; +3,-7
                    HEX             4800
                    HEX                  0100,0000       ; +1,0
                    HEX             4100   
MOVE_SEQUENCE_04E   HEX        0A00,4100                 ; ### Player Red Right : Flight Kick Long
                    HEX                  0300,0400       ; +3,+4
                    HEX             4E00
                    HEX                  0300,0880       ; +3,-8
                    HEX             5600
                    HEX                  0300,0A80       ; +3,-10
                    HEX             5700
                    HEX                  0300,0780       ; +3,-7
                    HEX             5800
                    HEX                  0300,0280       ; +3,-2
                    HEX             5900
                    HEX                  0300,0900       ; +3,+9
                    HEX             5700
                    HEX                  0200,0A00       ; +2,+10
                    HEX             5600
                    HEX                  0100,0800       ; +1,+8
                    HEX             4E00
                    HEX                  0000,0480       ; 0,-4
                    HEX             4100
MOVE_SEQUENCE_04F   HEX        0A00,4100                 ; ### Player Red Right : Flight Kick Short
                    HEX                  0300,0400       ; +3,+4
                    HEX             4E00
                    HEX                  0200,0880       ; +2,-8
                    HEX             5600
                    HEX                  0200,0A80       ; +2,-10
                    HEX             5700
                    HEX                  0100,0780       ; +1,-7
                    HEX             5800
                    HEX                  0100,0280       ; +1,-2
                    HEX             5900
                    HEX                  0100,0900       ; +1,+9
                    HEX             5700
                    HEX                  0100,0A00       ; +1,+10
                    HEX             5600
                    HEX                  0100,0800       ; +1,+8
                    HEX             4E00
                    HEX                  0180,0480       ; -1,-4
                    HEX             4100
MOVE_SEQUENCE_050   HEX        0A00,4100                 ; ### Player Red Right : Flight Kick in Place
                    HEX                  0300,0400       ; +3,+4
                    HEX             4E00
                    HEX                  0100,0880       ; +1,-8
                    HEX             5600
                    HEX                  0000,0A80       ; 0,-10
                    HEX             5700
                    HEX                  0000,0780       ; 0,-7
                    HEX             5800
                    HEX                  0000,0280       ; 0,-2
                    HEX             5900
                    HEX                  0000,0900       ; 0,+9
                    HEX             5700
                    HEX                  0000,0A00       ; 0,+10
                    HEX             5600
                    HEX                  0180,0800       ; -1,+8
                    HEX             4E00
                    HEX                  0380,0480       ; -3,-4
                    HEX             4100
MOVE_SEQUENCE_051   HEX        0300,5A00                 ; ### Player Red Right : Duck Punch
                    HEX                  0400,0180       ; +4,-1
                    HEX             5B00
                    HEX                  0480,0100       ; -4,+1
                    HEX             5A00                      
MOVE_SEQUENCE_052   HEX        0300,5A00                 ; ### Player Red Right : Duck Kick
                    HEX                  0180,0200       ; -1,+2
                    HEX             5C00
                    HEX                  0100,0280       ; +1,-2
                    HEX             5A00                            
MOVE_SEQUENCE_053   HEX        0500,5A00                 ; ### Player Red Right : Duck Back Kick
                    HEX                  0780,0300       ; -7,+3
                    HEX             5D00
                    HEX                  0580,0180       ; -5,-1
                    HEX             7D00
                    HEX                  0500,0100       ; +5,+1                      
                    HEX             5D00
                    HEX                  0700,0380       ; +7,-3
                    HEX             5A00
MOVE_SEQUENCE_054   HEX        0400,4100                 ; ### Player Red Right : Touched in Place
                    HEX                  0000,0800       ; 0,+8
                    HEX             5E00
                    HEX                  0000,0000       ; 0,0
                    HEX             5E00
                    HEX                  0000,0880       ; 0,-8
                    HEX             4100       
MOVE_SEQUENCE_055   HEX        0400,4100                 ; ### Player Red Right : Touched go Left
                    HEX                  0200,0800       ; +2,+8
                    HEX             5E00
                    HEX                  0000,0000       ; 0,0
                    HEX             5E00
                    HEX                  0680,0880       ; -6,-8
                    HEX             4100  
MOVE_SEQUENCE_056   HEX        0400,4100                 ; ### Player Red Right : Touched go Right
                    HEX                  0500,0800       ; +5,+8
                    HEX             5E00
                    HEX                  0000,0000       ; 0,0
                    HEX             5E00
                    HEX                  0180,0880       ; -1,-8
                    HEX             4100                      
MOVE_SEQUENCE_057   HEX        0500,4100                 ; ### Player Red Right : Dying
                    HEX                  0000,0800       ; 0,+8
                    HEX             5E00
                    HEX                  0280,0C00       ; -2,+12
                    HEX             5F00
                    HEX                  0180,0F00       ; -1,+15                    
                    HEX             6000
                    HEX                  0000,0300       ; 0,+3
                    HEX             6100
*---- Player Red Left                    
MOVE_SEQUENCE_058   HEX        0300,6200                 ; ### Player Red Left : Walk Left
                    HEX                  0000,0000       ; 0,0
                    HEX             6300
                    HEX                  0580,0000       ; -5,0
                    HEX             6200         
MOVE_SEQUENCE_059   HEX        0300,6200                 ; ### Player Red Left : Walk Right
                    HEX                  0500,0000       ; +5,0
                    HEX             6300
                    HEX                  0000,0000       ; 0,0
                    HEX             6200                   
MOVE_SEQUENCE_05A   HEX        0300,6200                 ; ### Player Red Left : Go Down
                    HEX                  0000,0300       ; 0,+3
                    HEX             6F00
                    HEX                  0200,0C00       ; +2,+12
                    HEX             7B00             
MOVE_SEQUENCE_05B   HEX        0300,7B00                 ; ### Player Red Left : Go Up from Duck
                    HEX                  0280,0C80       ; -2,-12
                    HEX             6F00
                    HEX                  0000,0380       ; 0,-3
                    HEX             6200       
MOVE_SEQUENCE_05C   HEX        0300,6200                 ; ### Player Red Left : Turn Back
                    HEX                  0300,0100       ; +3,+1
                    HEX             6400
                    HEX                  0180,0180       ; -1,-1
                    HEX             4100
MOVE_SEQUENCE_05D   HEX        0900,6200                 ; ### Player Red Left : Jump Up
                    HEX                  0180,0400       ; -1,+4
                    HEX             6F00
                    HEX                  0400,0880       ; +4,-8
                    HEX             7700 
                    HEX                  0000,0A80       ; 0,-10
                    HEX             7800
                    HEX                  0000,0780       ; 0,-7
                    HEX             7900
                    HEX                  0000,0700       ; 0,+7
                    HEX             7800
                    HEX                  0000,0A00       ; 0,+10
                    HEX             7700
                    HEX                  0480,0800       ; -4,+8
                    HEX             6F00
                    HEX                  0100,0480       ; +1,-4
                    HEX             6200                            
MOVE_SEQUENCE_05E   HEX        0B00,6200                 ; ### Player Red Left : Jump Roll Front Long
                    HEX                  0180,0400       ; -1,+4
                    HEX             6F00
                    HEX                  0300,0480       ; +3,-4
                    HEX             7000 
                    HEX                  0480,0880       ; -4,-8
                    HEX             7100
                    HEX                  0680,0880       ; -6,-8
                    HEX             7200
                    HEX                  0680,0880       ; -6,-8
                    HEX             7300
                    HEX                  0680,0400       ; -6,+4
                    HEX             7400
                    HEX                  0780,0800       ; -7,+8
                    HEX             7500
                    HEX                  0380,0900       ; -3,+9
                    HEX             7600
                    HEX                  0680,0700       ; -6,+7
                    HEX             6F00
                    HEX                  0100,0480       ; +1,-4
                    HEX             6200     
MOVE_SEQUENCE_05F   HEX        0B00,6200                 ; ### Player Red Left : Jump Roll Front Short
                    HEX                  0180,0400       ; -1,+4
                    HEX             6F00
                    HEX                  0300,0480       ; +3,-4
                    HEX             7000
                    HEX                  0280,0880       ; -2,-8
                    HEX             7100
                    HEX                  0380,0880       ; -3,-8
                    HEX             7200
                    HEX                  0380,0880       ; -3,-8
                    HEX             7300
                    HEX                  0380,0400       ; -3,+4
                    HEX             7400
                    HEX                  0380,0800       ; -3,+8
                    HEX             7500
                    HEX                  0180,0900       ; -1,+9
                    HEX             7600
                    HEX                  0680,0700       ; -6,+7
                    HEX             6F00
                    HEX                  0100,0480       ; +1,-4
                    HEX             6200     
MOVE_SEQUENCE_060   HEX        0B00,6200                 ; ### Player Red Left : Jump Roll Front in Place
                    HEX                  0180,0400       ; -1,+4
                    HEX             6F00
                    HEX                  0400,0480       ; +4,-4
                    HEX             7000
                    HEX                  0000,0880       ; 0,-8
                    HEX             7100
                    HEX                  0000,0880       ; 0,-8
                    HEX             7200
                    HEX                  0000,0880       ; 0,-8
                    HEX             7300
                    HEX                  0000,0400       ; 0,+4
                    HEX             7400
                    HEX                  0000,0800       ; 0,+8
                    HEX             7500
                    HEX                  0000,0900       ; 0,+9
                    HEX             7600
                    HEX                  0480,0700       ; -4,+7
                    HEX             6F00
                    HEX                  0100,0480       ; +1,-4
                    HEX             6200     
MOVE_SEQUENCE_061   HEX        0B00,6200                 ; ### Player Red Left : Jump Roll Back Long
                    HEX                  0180,0400       ; -1,+4
                    HEX             6F00
                    HEX                  0600,0780       ; +6,-7
                    HEX             7600
                    HEX                  0400,0980       ; +4,-9
                    HEX             7500
                    HEX                  0600,0880       ; +6,-8
                    HEX             7400
                    HEX                  0600,0480       ; +6,-4
                    HEX             7300
                    HEX                  0600,0800       ; +6,+8
                    HEX             7200
                    HEX                  0600,0800       ; +6,+8
                    HEX             7100
                    HEX                  0300,0800       ; +3,+8
                    HEX             7000
                    HEX                  0280,0400       ; -2,+4
                    HEX             6F00
                    HEX                  0100,0480       ; +1,-4
                    HEX             6200     
MOVE_SEQUENCE_062   HEX        0B00,6200                 ; ### Player Red Left : Jump Roll Back Short
                    HEX                  0180,0400       ; -1,+4
                    HEX             6F00
                    HEX                  0500,0780       ; +5,-7
                    HEX             7600
                    HEX                  0200,0980       ; +2,-9
                    HEX             7500
                    HEX                  0300,0880       ; +3,-8
                    HEX             7400
                    HEX                  0300,0480       ; +3,-4
                    HEX             7300
                    HEX                  0300,0800       ; +3,+8
                    HEX             7200
                    HEX                  0300,0800       ; +3,+8
                    HEX             7100
                    HEX                  0100,0800       ; +1,+8
                    HEX             7000
                    HEX                  0280,0400       ; -2,+4
                    HEX             6F00
                    HEX                  0100,0480       ; +1,-4
                    HEX             6200     
MOVE_SEQUENCE_063   HEX        0B00,6200                 ; ### Player Red Left : Jump Roll Back in Place
                    HEX                  0180,0400       ; -1,+4
                    HEX             6F00
                    HEX                  0400,0780       ; +4,-7
                    HEX             7600 
                    HEX                  0000,0980       ; 0,-9
                    HEX             7500
                    HEX                  0000,0880       ; 0,-8
                    HEX             7400
                    HEX                  0000,0480       ; 0,-4
                    HEX             7300
                    HEX                  0000,0800       ; 0,+8
                    HEX             7200
                    HEX                  0000,0800       ; 0,+8
                    HEX             7100
                    HEX                  0000,0800       ; 0,+8
                    HEX             7000
                    HEX                  0480,0400       ; -4,+4
                    HEX             6F00
                    HEX                  0100,0480       ; +1,-4
                    HEX             6200     
MOVE_SEQUENCE_064   HEX        0500,6200                 ; ### Player Red Left : Protect
                    HEX                  0000,0000       ; 0,0
                    HEX             6800
                    HEX                  0000,0000       ; 0,0
                    HEX             6800
                    HEX                  0000,0000       ; 0,0
                    HEX             6800
                    HEX                  0000,0000       ; 0,0
                    HEX             6200                     
MOVE_SEQUENCE_065   HEX        0500,6200                 ; ### Player Red Left : High Punch
                    HEX                  0000,0000       ; 0,0
                    HEX             6500
                    HEX                  0480,0000       ; -4,0
                    HEX             6600
                    HEX                  0400,0000       ; +4,0
                    HEX             6500
                    HEX                  0000,0000       ; 0,0
                    HEX             6200                      
MOVE_SEQUENCE_066   HEX        0500,6200                 ; ### Player Red Left : Middle Punch
                    HEX                  0000,0000       ; 0,0
                    HEX             6500
                    HEX                  0480,0000       ; -4,0
                    HEX             6700
                    HEX                  0400,0000       ; +4,0
                    HEX             6500
                    HEX                  0000,0000       ; 0,0
                    HEX             6200   
MOVE_SEQUENCE_067   HEX        0500,6200                 ; ### Player Red Left : High Kick
                    HEX                  0100,0000       ; +1,0
                    HEX             6B00
                    HEX                  0C80,0300       ; -12,+3
                    HEX             6D00
                    HEX                  0C00,0380       ; +12,-3
                    HEX             6B00
                    HEX                  0180,0000       ; -1,0
                    HEX             6200   
MOVE_SEQUENCE_068   HEX        0500,6200                 ; ### Player Red Left : Middle Kick
                    HEX                  0100,0000       ; +1,0
                    HEX             6B00
                    HEX                  0980,0300       ; -9,+3
                    HEX             6C00
                    HEX                  0900,0380       ; +9,-3
                    HEX             6B00
                    HEX                  0180,0000       ; -1,0
                    HEX             6200   
MOVE_SEQUENCE_069   HEX        0500,6200                 ; ### Player Red Left : Low Kick
                    HEX                  0180,0000       ; -1,0
                    HEX             6B00
                    HEX                  0580,0000       ; -5,0
                    HEX             6E00
                    HEX                  0500,0000       ; +5,0
                    HEX             6B00
                    HEX                  0100,0000       ; +1,0
                    HEX             6200   
MOVE_SEQUENCE_06A   HEX        0500,6200                 ; ### Player Red Left : Back High Kick
                    HEX                  0180,0000       ; -1,0
                    HEX             6900
                    HEX                  0580,0700       ; -5,+7
                    HEX             6A00
                    HEX                  0500,0780       ; +5,-7
                    HEX             6900
                    HEX                  0100,0000       ; +1,0
                    HEX             6200   
MOVE_SEQUENCE_06B   HEX        0A00,6200                 ; ### Player Red Left : Flight Kick Long
                    HEX                  0180,0400       ; -1,+4
                    HEX             6F00
                    HEX                  0100,0880       ; +1,-8
                    HEX             7700
                    HEX                  0380,0A80       ; -3,-10
                    HEX             7800
                    HEX                  0380,0780       ; -3,-7
                    HEX             7900
                    HEX                  0D80,0280       ; -13,-2
                    HEX             7A00
                    HEX                  0600,0900       ; +6,+9
                    HEX             7800
                    HEX                  0280,0A00       ; -2,+10
                    HEX             7700
                    HEX                  0580,0800       ; -5,+8
                    HEX             6F00
                    HEX                  0180,0480       ; -1,-4
                    HEX             6200
MOVE_SEQUENCE_06C   HEX        0A00,6200                 ; ### Player Red Left : Flight Kick Short
                    HEX                  0180,0400       ; -1,+4
                    HEX             6F00
                    HEX                  0200,0880       ; +2,-8
                    HEX             7700
                    HEX                  0280,0A80       ; -2,-10
                    HEX             7800
                    HEX                  0180,0780       ; -1,-7
                    HEX             7900
                    HEX                  0A80,0280       ; -10,-2
                    HEX             7A00
                    HEX                  0800,0900       ; +8,+9
                    HEX             7800
                    HEX                  0180,0A00       ; -1,+10
                    HEX             7700
                    HEX                  0580,0800       ; -5,+8
                    HEX             6F00
                    HEX                  0180,0480       ; -1,-4
                    HEX             6200
MOVE_SEQUENCE_06D   HEX        0A00,6200                 ; ### Player Red Left : Flight Kick in Place
                    HEX                  0180,0400       ; -1,+4
                    HEX             6F00
                    HEX                  0300,0880       ; +3,-8
                    HEX             7700
                    HEX                  0000,0A80       ; 0,-10
                    HEX             7800
                    HEX                  0000,0780       ; 0,-7
                    HEX             7900
                    HEX                  0980,0280       ; -9,-2
                    HEX             7A00
                    HEX                  0900,0900       ; +9,+9
                    HEX             7800
                    HEX                  0000,0A00       ; 0,+10
                    HEX             7700
                    HEX                  0380,0800       ; -3,+8
                    HEX             6F00
                    HEX                  0100,0480       ; +1,-4
                    HEX             6200
MOVE_SEQUENCE_06E   HEX        0300,7B00                 ; ### Player Red Left : Duck Punch
                    HEX                  0480,0180       ; -4,-1
                    HEX             7C00
                    HEX                  0400,0100       ; +4,+1
                    HEX             7B00                      
MOVE_SEQUENCE_06F   HEX        0300,7B00                 ; ### Player Red Left : Duck Kick
                    HEX                  0100,0200       ; +1,+2
                    HEX             7D00
                    HEX                  0180,0280       ; -1,-2
                    HEX             7B00                            
MOVE_SEQUENCE_070   HEX        0500,7B00                 ; ### Player Red Left : Duck Back Kick
                    HEX                  0700,0300       ; +7,+3
                    HEX             7E00
                    HEX                  0500,0180       ; +5,-1
                    HEX             5C00
                    HEX                  0580,0100       ; -5,+1                      
                    HEX             7E00
                    HEX                  0780,0380       ; -7,-3
                    HEX             7B00
MOVE_SEQUENCE_071   HEX        0400,6200                 ; ### Player Red Left : Touched in Place
                    HEX                  0300,0800       ; +3,+8
                    HEX             7F00
                    HEX                  0000,0000       ;  0,0
                    HEX             7F00
                    HEX                  0380,0880       ; -3,-8
                    HEX             6200       
MOVE_SEQUENCE_072   HEX        0400,6200                 ; ### Player Red Left : Touched go Left
                    HEX                  0380,0800       ; -3,+8
                    HEX             7F00
                    HEX                  0000,0000       ;  0,0
                    HEX             7F00
                    HEX                  0180,0880       ; -1,-8
                    HEX             6200  
MOVE_SEQUENCE_073   HEX        0400,6200                 ; ### Player Red Left : Touched go Right
                    HEX                  0100,0800       ; +1,+8
                    HEX             7F00
                    HEX                  0000,0000       ;  0,0
                    HEX             7F00
                    HEX                  0300,0880       ; +3,-8
                    HEX             6200                      
MOVE_SEQUENCE_074   HEX        0500,6200                 ; ### Player Red Left : Dying
                    HEX                  0200,0800       ; +2,+8
                    HEX             7F00
                    HEX                  0180,0C00       ; -1,+12
                    HEX             5F00
                    HEX                  0180,0F00       ; -1,+15                    
                    HEX             6000
                    HEX                  0000,0300       ; 0,+3
                    HEX             6100
*--
MOVE_SEQUENCE_075   HEX        0400,3B00                 ; ### Player Blue Left : Duck Dying
                    HEX                  0180,0500       ; -1,+5
                    HEX             1F00
                    HEX                  0180,0F00       ; -1,+15
                    HEX             2000
                    HEX                  0000,0300       ; 0,+3                    
                    HEX             2100
MOVE_SEQUENCE_076   HEX        0400,1A00                 ; ### Player Blue Right : Duck Dying
                    HEX                  0780,0500       ; -7,+5
                    HEX             1F00
                    HEX                  0180,0F00       ; -1,+15
                    HEX             2000
                    HEX                  0000,0300       ; 0,+3                    
                    HEX             2100
MOVE_SEQUENCE_077   HEX        0400,7B00                 ; ### Player Red Left : Duck Dying
                    HEX                  0180,0500       ; -1,+5
                    HEX             5F00
                    HEX                  0180,0F00       ; -1,+15
                    HEX             6000
                    HEX                  0000,0300       ; 0,+3                    
                    HEX             6100
MOVE_SEQUENCE_078   HEX        0400,5A00                 ; ### Player Red Right : Duck Dying
                    HEX                  0780,0500       ; -7,+5
                    HEX             5F00
                    HEX                  0180,0F00       ; -1,+15
                    HEX             6000
                    HEX                  0000,0300       ; 0,+3                    
                    HEX             6100


********************************************************************
***                        Erases Data                           ***
********************************************************************

*----------   Erase ID : Erase ID, SpriteID Prev, Delta X (#byte, bit15=1 if neg), Delta Y (#line, bit15=1 if neg), SpriteID
NbEraseCodeBank     HEX        0300
TabEraseCodeBank    DA         EraseCode1Bank,EraseCode2Bank,EraseCode3Bank
TabEraseCodeSize    HEX        0000,0000,0000

TAB_ERASE_BANK      DS         2*300                                   ; Erase ID Code Bank   
TAB_ERASE_ADDRESS   DS         2*300                                   ; Erase ID Code Address
                    
TAB_ERASE_BEGIN     DA         ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000  ; 01 - 08
                    DA         ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000  ; 09 - 10
                    DA         ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000  ; 11 - 18
                    DA         ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000  ; 19 - 20
                    DA         ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000  ; 21 - 28
                    DA         ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000  ; 29 - 30
                    DA         ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000  ; 31 - 38
                    DA         ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000  ; 39 - 40
                    DA         ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000  ; 41 - 48
                    DA         ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000  ; 49 - 50
                    DA         ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000  ; 51 - 58
                    DA         ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000  ; 59 - 60
                    DA         ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000  ; 61 - 68
                    DA         ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000  ; 69 - 70
                    DA         ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000  ; 71 - 78
                    DA         ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000  ; 79 - 80
                    DA         ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000,ERASE_SPR_000  ; 81 - 88
                    DA         ERASE_SPR_000,ERASE_SPR_000                                                                                      ; 89 - 8A

ERASE_SPR_000       HEX        0000,0000,0000,0000,0000  ; PlaceHolder for Empty Erase
ERASE_SPR_0XX       DS         10*300                    ; EraseID,SprIDSrc,DeltaX,DeltaY,SprIDSrc
ERASE_SPR_XXX       HEX        0000,0000,0000,0000,0000  ; PlaceHolder for Last Erase
                                        
ERASE_SEQ_EXTRA     HEX        4000,0000,0100,4000  ; 040_0_1_040
                    HEX        4000,0000,0180,4000  ; 040_0_m1_040
                    HEX        4000,0000,0200,4000  ; 040_0_2_040
                    HEX        4000,0000,0280,4000  ; 040_0_m2_040
                    HEX        4000,0000,0300,4000  ; 040_0_3_040
                    HEX        4000,0000,0380,4000  ; 040_0_m3_040
                    HEX        4000,0000,0500,4000  ; 040_0_5_040
                    HEX        4000,0000,0580,4000  ; 040_0_m5_040
                    HEX        4000,0000,0800,4000  ; 040_0_8_040
                    HEX        4000,0000,0880,4000  ; 040_0_m8_040
                    HEX        4000,0000,0C00,4000  ; 040_0_12_040
                    HEX        4000,0000,0C80,4000  ; 040_0_m12_040
                    HEX        4000,0000,0000,8400  ; 040_0_0_084
                    HEX        8100,0180,0280,8200  ; 081_m1_m2_082
                    HEX        8200,0180,0180,8300  ; 082_m1_m1_083
                    HEX        8200,0000,0000,8200  ; 082_0_0_082  Full Erase
                    HEX        8300,0000,0280,8400  ; 083_0_m2_084
                    HEX        8300,0100,0000,8200  ; 083_1_0_082
                    HEX        8400,0000,0100,4000  ; 084_0_1_040
                    HEX        8400,0000,0200,8300  ; 084_0_2_083
                    HEX        8500,0000,0000,8600  ; 085_0_0_086
                    HEX        8600,0000,0000,8700  ; 086_0_0_087
                    HEX        8700,0000,0000,8800  ; 087_0_0_088
                    HEX        8800,0000,0000,8800  ; 088_0_0_088  Full Erase               
                    HEX        8900,0200,0000,8A00  ; 089_2_0_08A
                    HEX        8900,0280,0000,8A00  ; 089_m2_0_08A
                    HEX        8900,0000,0000,8900  ; 089_0_0_089  Full Erase
                    HEX        8A00,0200,0000,8900  ; 08A_2_0_089
                    HEX        8A00,0280,0000,8900  ; 08A_m2_0_089
                    HEX        8A00,0000,0000,8A00  ; 08A_0_0_08A  Full Erase
                    HEX        0000                 ; End of Extra Erase Sequence

TAB_ERASE_EQUIV     HEX        0000                                    ; 00     Never Used
                    HEX        0100,0200,0300,0400,0500,0600,0700,0800 ; 01-08  01-1E : Blue Right
                    HEX        0900,0A00,0B00,0C00,0D00,0E00,0F00,1000 ; 09-10
                    HEX        1100,1200,1300,1400,1500,1600,1700,1800 ; 11-18
                    HEX        1900,1A00,1B00,1C00,1D00,1E00,1F00,2000 ; 19-20  1F-21 : Blue Fall
                    HEX        2100,2200,2300,2400,2500,2600,2700,2800 ; 21-28  22-3F : Blue Left
                    HEX        2900,2A00,2B00,2C00,2D00,2E00,2F00,3000 ; 29-30
                    HEX        3100,3200,3300,3400,3500,3600,3700,3800 ; 31-38
                    HEX        3900,3A00,3B00,3C00,3D00,3E00,3F00,4000 ; 39-40  40 : Vase
                    HEX        0100,0200,0300,0400,0500,0600,0700,0800 ; 41-48  41-5E : Red Right = Blue Right
                    HEX        0900,0A00,0B00,0C00,0D00,0E00,0F00,1000 ; 49-50
                    HEX        1100,1200,1300,1400,1500,1600,1700,1800 ; 51-58
                    HEX        1900,1A00,1B00,1C00,1D00,1E00,1F00,2000 ; 59-60  5F-61 : Red Fall = Blue Fall
                    HEX        2100,2200,2300,2400,2500,2600,2700,2800 ; 61-68  62-7F : Red Left = Blue Left
                    HEX        2900,2A00,2B00,2C00,2D00,2E00,2F00,3000 ; 69-70
                    HEX        3100,3200,3300,3400,3500,3600,3700,3800 ; 71-78
                    HEX        3900,3A00,3B00,3C00,3D00,3E00,3F00,8000 ; 79-80  80 : 500
                    HEX        8100,8200,8300,8400,8500,8600,8700,8800 ; 81-88  85-88 : Impact
                    HEX        8900,8A00                               ; 89-8A  8A : Suriken #2


********************************************************************
***                      Collision Data                          ***
********************************************************************

*----------   Sprite Collision Status : 00:Nothing, 01:Receive, 02:Send, 03:Receive+Send, 8x:Duplicate Flag, 4x:No Truncature Flag
COLLISION_STATUS    HEX        00                   ; Not used
                    HEX        01                   ; Player Blue Right Up Stand
                    HEX        01                   ; Player Blue Right Up Mid-Walk
                    HEX        01                   ; Player Blue Right Up Half Turn
                    HEX        01                   ; Player Blue Right Up Prepare Punch
                    HEX        03                   ; Player Blue Right Up High Punch
                    HEX        03                   ; Player Blue Right Up Medium Punch
                    HEX        00                   ; [Player Blue Right Up Block Punch]
                    HEX        01                   ; Player Blue Right Up Prepare Back Kick
                    HEX        03                   ; Player Blue Right Up Back Kick
                    HEX        01                   ; Player Blue Right Up Prepare Kick
                    HEX        03                   ; Player Blue Right Up Middle Kick
                    HEX        03                   ; Player Blue Right Up High Kick
                    HEX        03                   ; Player Blue Right Up Low Kick
                    HEX        01                   ; Player Blue Right Up Prepare Jump
                    HEX        01                   ; Player Blue Right Up Roll Jump #1
                    HEX        01                   ; Player Blue Right Up Roll Jump #2
                    HEX        01                   ; Player Blue Right Up Roll Jump #3
                    HEX        01                   ; Player Blue Right Up Roll Jump #4
                    HEX        01                   ; Player Blue Right Up Roll Jump #5
                    HEX        01                   ; Player Blue Right Up Roll Jump #6
                    HEX        01                   ; Player Blue Right Up Roll Jump #7
                    HEX        01                   ; Player Blue Right Up Flight Jump #1
                    HEX        01                   ; Player Blue Right Up Flight Jump #2
                    HEX        01                   ; Player Blue Right Up Flight Jump #3
                    HEX        03                   ; Player Blue Right Up Flight Kick
                    HEX        01                   ; Player Blue Right Duck Stand
                    HEX        03                   ; Player Blue Right Duck Punch
                    HEX        03                   ; Player Blue Right Duck Kick
                    HEX        01                   ; Player Blue Right Duck Half Turn
                    HEX        00                   ; Player Blue Right Prepare Fall
                    HEX        00                   ; Player Blue Fall #1
                    HEX        00                   ; Player Blue Fall #2 
                    HEX        00                   ; Player Blue Fall #3
                    HEX        01                   ; Player Blue Left Up Stand
                    HEX        01                   ; Player Blue Left Up Mid-Walk
                    HEX        01                   ; Player Blue Left Up Half Turn
                    HEX        01                   ; Player Blue Left Up Prepare Punch
                    HEX        03                   ; Player Blue Left Up High Punch
                    HEX        03                   ; Player Blue Left Up Medium Punch
                    HEX        00                   ; [Player Blue Left Up Block Punch]
                    HEX        01                   ; Player Blue Left Up Prepare Back Kick
                    HEX        03                   ; Player Blue Left Up Back Kick
                    HEX        01                   ; Player Blue Left Up Prepare Kick
                    HEX        03                   ; Player Blue Left Up Middle Kick
                    HEX        03                   ; Player Blue Left Up High Kick
                    HEX        03                   ; Player Blue Left Up Low Kick
                    HEX        01                   ; Player Blue Left Up Prepare Jump
                    HEX        01                   ; Player Blue Left Up Roll Jump #1
                    HEX        01                   ; Player Blue Left Up Roll Jump #2
                    HEX        01                   ; Player Blue Left Up Roll Jump #3
                    HEX        01                   ; Player Blue Left Up Roll Jump #4
                    HEX        01                   ; Player Blue Left Up Roll Jump #5
                    HEX        01                   ; Player Blue Left Up Roll Jump #6
                    HEX        01                   ; Player Blue Left Up Roll Jump #7
                    HEX        01                   ; Player Blue Left Up Flight Jump #1
                    HEX        01                   ; Player Blue Left Up Flight Jump #2
                    HEX        01                   ; Player Blue Left Up Flight Jump #3
                    HEX        03                   ; Player Blue Left Up Flight Kick
                    HEX        01                   ; Player Blue Left Duck Stand
                    HEX        03                   ; Player Blue Left Duck Punch
                    HEX        03                   ; Player Blue Left Duck Kick
                    HEX        01                   ; Player Blue Left Duck Half Turn
                    HEX        00                   ; Player Blue Left Prepare Fall
                    HEX        41                   ; Amphore
                    HEX        81                   ; Player Red Right Up Stand
                    HEX        81                   ; Player Red Right Up Mid-Walk
                    HEX        81                   ; Player Red Right Up Half Turn
                    HEX        81                   ; Player Red Right Up Prepare Punch
                    HEX        83                   ; Player Red Right Up High Punch
                    HEX        83                   ; Player Red Right Up Medium Punch
                    HEX        80                   ; [Player Red Right Up Block Punch]
                    HEX        81                   ; Player Red Right Up Prepare Back Kick
                    HEX        83                   ; Player Red Right Up Back Kick
                    HEX        81                   ; Player Red Right Up Prepare Kick
                    HEX        83                   ; Player Red Right Up Middle Kick
                    HEX        83                   ; Player Red Right Up High Kick
                    HEX        83                   ; Player Red Right Up Low Kick
                    HEX        81                   ; Player Red Right Up Prepare Jump
                    HEX        81                   ; Player Red Right Up Roll Jump #1
                    HEX        81                   ; Player Red Right Up Roll Jump #2
                    HEX        81                   ; Player Red Right Up Roll Jump #3
                    HEX        81                   ; Player Red Right Up Roll Jump #4
                    HEX        81                   ; Player Red Right Up Roll Jump #5
                    HEX        81                   ; Player Red Right Up Roll Jump #6
                    HEX        81                   ; Player Red Right Up Roll Jump #7
                    HEX        81                   ; Player Red Right Up Flight Jump #1
                    HEX        81                   ; Player Red Right Up Flight Jump #2
                    HEX        81                   ; Player Red Right Up Flight Jump #3
                    HEX        83                   ; Player Red Right Up Flight Kick
                    HEX        81                   ; Player Red Right Duck Stand
                    HEX        83                   ; Player Red Right Duck Punch
                    HEX        83                   ; Player Red Right Duck Kick
                    HEX        81                   ; Player Red Right Duck Half Turn
                    HEX        80                   ; Player Red Right Prepare Fall
                    HEX        80                   ; Player Red Fall #1
                    HEX        80                   ; Player Red Fall #2 
                    HEX        80                   ; Player Red Fall #3
                    HEX        81                   ; Player Red Left Up Stand
                    HEX        81                   ; Player Red Left Up Mid-Walk
                    HEX        81                   ; Player Red Left Up Half Turn
                    HEX        81                   ; Player Red Left Up Prepare Punch
                    HEX        83                   ; Player Red Left Up High Punch
                    HEX        83                   ; Player Red Left Up Medium Punch
                    HEX        80                   ; [Player Red Left Up Block Punch]
                    HEX        81                   ; Player Red Left Up Prepare Back Kick
                    HEX        83                   ; Player Red Left Up Back Kick
                    HEX        81                   ; Player Red Left Up Prepare Kick
                    HEX        83                   ; Player Red Left Up Middle Kick
                    HEX        83                   ; Player Red Left Up High Kick
                    HEX        83                   ; Player Red Left Up Low Kick
                    HEX        81                   ; Player Red Left Up Prepare Jump
                    HEX        81                   ; Player Red Left Up Roll Jump #1
                    HEX        81                   ; Player Red Left Up Roll Jump #2
                    HEX        81                   ; Player Red Left Up Roll Jump #3
                    HEX        81                   ; Player Red Left Up Roll Jump #4
                    HEX        81                   ; Player Red Left Up Roll Jump #5
                    HEX        81                   ; Player Red Left Up Roll Jump #6
                    HEX        81                   ; Player Red Left Up Roll Jump #7
                    HEX        81                   ; Player Red Left Up Flight Jump #1
                    HEX        81                   ; Player Red Left Up Flight Jump #2
                    HEX        81                   ; Player Red Left Up Flight Jump #3
                    HEX        83                   ; Player Red Left Up Flight Kick
                    HEX        81                   ; Player Red Left Duck Stand
                    HEX        83                   ; Player Red Left Duck Punch
                    HEX        83                   ; Player Red Left Duck Kick
                    HEX        81                   ; Player Red Left Duck Half Turn
                    HEX        80                   ; Player Red Left Prepare Fall
                    HEX        00                   ; 500
                    HEX        00                   ; Smoke #1 (small)
                    HEX        00                   ; Smoke #2
                    HEX        00                   ; Smoke #3
                    HEX        00                   ; Smoke #4 (large)
                    HEX        00                   ; Hit #1
                    HEX        00                   ; Hit #2
                    HEX        00                   ; Hit #3 (#)
                    HEX        00                   ; Hit #4
                    HEX        02                   ; Shuriken #1 (+)
                    HEX        02                   ; Shuriken #2 (x)
                    HEX        FF                   ; End of table

*----------   Sprite Send : Sprites with a Send Area
COLLISTION_SEND_ID  HEX        0500,0600,0900,0B00  ; Sprite ID
                    HEX        0C00,0D00,1900,1B00
                    HEX        1C00,2600,2700,2A00
                    HEX        2C00,2D00,2E00,3A00
                    HEX        3C00,3D00,4500,4600
                    HEX        4900,4B00,4C00,4D00
                    HEX        5900,5B00,5C00,6600
                    HEX        6700,6A00,6C00,6D00
                    HEX        6E00,7A00,7C00,7D00                    
                    HEX        8900,8A00
                    HEX        0000                 ; End of Table

COLLISTION_SEND_ADR DA         SPRITE_SEND_005,SPRITE_SEND_006,SPRITE_SEND_009,SPRITE_SEND_00B
                    DA         SPRITE_SEND_00C,SPRITE_SEND_00D,SPRITE_SEND_019,SPRITE_SEND_01B
                    DA         SPRITE_SEND_01C,SPRITE_SEND_026,SPRITE_SEND_027,SPRITE_SEND_02A
                    DA         SPRITE_SEND_02C,SPRITE_SEND_02D,SPRITE_SEND_02E,SPRITE_SEND_03A
                    DA         SPRITE_SEND_03C,SPRITE_SEND_03D,SPRITE_SEND_005,SPRITE_SEND_006
                    DA         SPRITE_SEND_009,SPRITE_SEND_00B,SPRITE_SEND_00C,SPRITE_SEND_00D
                    DA         SPRITE_SEND_019,SPRITE_SEND_01B,SPRITE_SEND_01C,SPRITE_SEND_026
                    DA         SPRITE_SEND_027,SPRITE_SEND_02A,SPRITE_SEND_02C,SPRITE_SEND_02D
                    DA         SPRITE_SEND_02E,SPRITE_SEND_03A,SPRITE_SEND_03C,SPRITE_SEND_03D
                    DA         SPRITE_SEND_089,SPRITE_SEND_08A

SPRITE_SEND_005     HEX        05                   ; Player Blue Right Up High Punch
                    HEX        2F,07,01
                    HEX        2E,08,03
                    HEX        2D,09,05
                    HEX        2E,0A,03
                    HEX        2E,0B,01
SPRITE_SEND_006     HEX        03                   ; Player Blue Right Up Medium Punch
                    HEX        2D,17,04
                    HEX        2D,18,04
                    HEX        2F,19,02
SPRITE_SEND_009     HEX        04                   ; Player Blue Right Up Back Kick
                    HEX        08,00,03
                    HEX        08,01,04
                    HEX        09,02,04
                    HEX        0A,03,02
SPRITE_SEND_00B     HEX        04                   ; Player Blue Right Up Middle Kick
                    HEX        32,16,03
                    HEX        31,17,07
                    HEX        31,18,06
                    HEX        31,19,04
SPRITE_SEND_00C     HEX        08                   ; Player Blue Right Up High Kick
                    HEX        36,06,01
                    HEX        35,07,02
                    HEX        34,08,03
                    HEX        33,09,03
                    HEX        32,0A,04
                    HEX        32,0B,03
                    HEX        33,0C,02
                    HEX        33,0D,02
SPRITE_SEND_00D     HEX        04                   ; Player Blue Right Up Low Kick
                    HEX        2B,2C,01
                    HEX        2A,2D,04
                    HEX        2B,2E,04
                    HEX        2C,2F,04
SPRITE_SEND_019     HEX        03                   ; Player Blue Right Up Flight Kick
                    HEX        2B,1F,08
                    HEX        2B,20,06
                    HEX        2C,21,03
SPRITE_SEND_01B     HEX        03                   ; Player Blue Right Duck Punch
                    HEX        25,0E,02
                    HEX        23,0F,05
                    HEX        23,10,05
SPRITE_SEND_01C     HEX        03                   ; Player Blue Right Duck Kick
                    HEX        27,1D,06
                    HEX        27,1E,04
                    HEX        27,1F,02
SPRITE_SEND_026     HEX        05                   ; Player Blue Left Up High Punch
                    HEX        03,07,01
                    HEX        02,08,03
                    HEX        01,09,05
                    HEX        02,0A,03
                    HEX        04,0B,01
SPRITE_SEND_027     HEX        03                   ; Player Blue Left Up Medium Punch
                    HEX        01,17,04
                    HEX        01,18,04
                    HEX        01,19,02
SPRITE_SEND_02A     HEX        04                   ; Player Blue Left Up Back Kick
                    HEX        35,00,03
                    HEX        34,01,04
                    HEX        33,02,04
                    HEX        34,03,02
SPRITE_SEND_02C     HEX        04                   ; Player Blue Left Up Middle Kick
                    HEX        00,16,03
                    HEX        00,17,07
                    HEX        01,18,06
                    HEX        03,19,04
SPRITE_SEND_02D     HEX        08                   ; Player Blue Left Up High Kick
                    HEX        06,06,01
                    HEX        06,07,02
                    HEX        06,08,03
                    HEX        07,09,03
                    HEX        07,0A,04
                    HEX        08,0B,03
                    HEX        08,0C,02
                    HEX        08,0D,02
SPRITE_SEND_02E     HEX        04                   ; Player Blue Left Up Low Kick
                    HEX        04,2C,01
                    HEX        02,2D,04
                    HEX        01,2E,04
                    HEX        00,2F,04
SPRITE_SEND_03A     HEX        03                   ; Player Blue Left Up Flight Kick
                    HEX        00,1F,08
                    HEX        02,20,06
                    HEX        04,21,03
SPRITE_SEND_03C     HEX        03                   ; Player Blue Left Duck Punch
                    HEX        01,0E,02
                    HEX        00,0F,05
                    HEX        00,10,05
SPRITE_SEND_03D     HEX        03                   ; Player Blue Left Duck Kick
                    HEX        00,1D,06
                    HEX        02,1E,04
                    HEX        04,1F,02
SPRITE_SEND_089     HEX        06                   ; Shuriken #1 (+)
                    HEX        02,00,02
                    HEX        02,01,02
                    HEX        00,02,06
                    HEX        00,03,06
                    HEX        02,04,02
                    HEX        02,05,02
SPRITE_SEND_08A     HEX        0A                   ; Shuriken #2 (x)
                    HEX        00,00,02
                    HEX        05,00,02
                    HEX        01,01,02
                    HEX        04,01,02
                    HEX        02,02,03
                    HEX        02,03,03
                    HEX        01,04,02
                    HEX        04,04,02
                    HEX        00,05,02
                    HEX        05,05,02

*----------   Sprite Receive : Sprites with a Receive Area
SPRITE_RECEIVE_TAB  DS         2*140                ; @ Sprite Receive Data

********************************************************************
***                   Pre-calculated Data                        ***
********************************************************************
TabEraseCodeSizeP   HEX        FF,FF,FC,FF,96,99,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19
                    HEX        00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19
                    HEX        00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19
                    HEX        00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19,00,19
                    HEX        00,19,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A
                    HEX        00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,19,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A
                    HEX        00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A
                    HEX        00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1A,00,1B,00,1B,00,1B,00,1A
                    HEX        00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B
                    HEX        00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B
                    HEX        00,1B,00,1B,00,1B,00,1B,00,1B,00,1A,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,19,00,19,00,1B,00,19,00,1B,00,1B
                    HEX        00,1B,00,19,00,1A,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,1B,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00
                    HEX        00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,DC,02,C6,06,20,0A,98,0D,74,10,E0,10,A0,11,36,15
                    HEX        D8,18,F2,1C,FA,20,CC,24,08,28,26,2B,48,2D,3E,2E,22,2F,48,30,3E,31,10,32,48,33,62,37,E0,3A,24,3F,60,42,8A,45,CC,48,EE,4A,24,4E,B6,52,20,58,3E,5B
                    HEX        A4,5E,62,61,9E,64,0E,67,F2,6A,B2,6E,CC,72,C2,76,A6,7A,90,7E,08,82,A4,85,80,88,F8,8B,7A,8E,A8,90,BE,92,E0,94,D8,96,CC,99,7E,9C,0C,9F,76,A1,98,A3
                    HEX        A8,A5,9C,A8,F4,AA,B6,AC,BC,AF,44,B2,E4,B4,20,B8,A8,BA,5E,BC,BE,BF,88,C2,80,C4,AA,C7,56,CA,F6,CC,0E,D0,6C,D2,2E,D4,86,D6,78,D8,40,DA,E0,DC,4A,DF
                    HEX        DE,E1,06,E4,FE,E5,4A,E8,42,EA,F8,EB,4A,EE,84,F0,78,F3,CA,F5,70,F8,E0,FA,08,FD,00,00,C4,02,2E,05,6E,07,DE,09,0C,0C,82,0E,38,10,8E,11,0C,15,48,18
                    HEX        42,1B,16,1D,6A,20,68,22,9C,24,9A,26,30,2A,0A,2C,9A,2F,C0,30,5E,32,A6,35,34,38,22,3B,46,3E,8C,40,7E,42,60,45,44,49,56,4C,F8,4F,5A,FF,40,53,12,54
                    HEX        48,57,6C,5A,F0,5D,7C,62,AE,66,32,6A,A0,6E,C4,71,EC,73,EC,76,5C,79,40,7A,1E,7B,FA,7D,E4,7E,A2,81,F8,82,12,87,E8,89,2C,8E,C8,91,74,94,B6,97,D8,99
                    HEX        9C,9C,2E,A1,C2,A6,E0,A9,F2,AC,92,AF,CE,B2,7A,B5,5E,B9,1E,BD,38,C1,2E,C5,12,C9,FC,CC,68,D0,04,D4,7C,D7,FE,D9,2C,DC,42,DE,64,E0,5C,E2,50,E5,02,E8
                    HEX        90,EA,FA,EC,1C,EF,2C,F1,20,F4,78,F6,3A,F8,40,FB,00,00,A0,02,DC,05,C8,FD,64,08,C4,0B,8E,0E,86,10,B0,13,5C,16,FC,18,14,1C,72,1E,34,20,8C,22,7E,24
                    HEX        46,26,E6,28,50,2B,E4,2D,0C,30,04,32,50,34,48,36,FE,37,50,3A,8A,3C,7E,3F,D0,41,76,44,E6,46,0E,49,60,4B,24,4E,8E,50,CE,52,3E,55,6C,57,72,5A,76,5C
                    HEX        44,5E,40,62,DC,65,78,69,22,6B,DE,6C,32,70,7E,72,22,74,90,75,58,77,CA,7A,EE,7D,8C,7F,40,83,F8,85,1C,89,7E,FF,8E,8C,E2,8C,66,8D,D2,8D,6E,8E,EC,8E
                    HEX        A0,8F,36,90,2C,91,84,92,B0,93,08,95,C0,FF,C8,FF,EC,95,C9,FF,52,96,CA,96,48,97,DB,FF,DE,FF,D8,97,EC,97,2E,98,64,98,9A,98,D0,98,12,99,54,99,00,00
                    HEX        00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00
                    HEX        00,00,00,00,00,00,E0,4F,62,50,D6,4F,76,50,94,50,9E,50,A8,50,B2,50,C6,50,D0,50,02,51,0C,51,16,51,20,51,AC,51,DE,51,1A,52,56,52,92,52,CE,52,0A,53
                    HEX        3C,53,78,53,B4,53,DC,53,FA,53,2C,54,36,54,4A,54,5E,54,86,54,90,54,D6,4F,9A,54,26,55,3A,55,4E,55,6C,55,76,55,80,55,8A,55,9E,55,A8,55,DA,55,E4,55
                    HEX        EE,55,F8,55,7A,56,AC,56,E8,56,24,57,60,57,9C,57,D8,57,0A,58,46,58,82,58,AA,58,C8,58,FA,58,04,59,18,59,2C,59,54,59,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F
                    HEX        D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F
                    HEX        D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F
                    HEX        D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,4F,D6,59,E0,59,F4,59,08,5A,1C,5A,26,5A,30,5A,3A,5A,44,5A,62,5A,00,00,00,00,00,00
                    HEX        00,00,00,00,01,00,01,00,07,00,00,00,02,00,02,00,01,00,02,00,00,00,02,00,03,00,01,00,02,00,03,00,0E,00,04,00,01,00,02,00,01,00,24,00,05,00,01,00
                    HEX        03,00,04,00,0E,00,06,00,01,00,00,00,00,00,07,00,07,00,01,00,00,00,00,00,04,00,08,00,01,00,04,00,00,00,0A,00,09,00,01,00,06,00,00,00,0A,00,0A,00
                    HEX        01,00,01,80,00,00,08,00,0B,00,01,00,00,00,08,00,1E,00,0C,00,01,00,02,00,08,00,1E,00,0D,00,01,00,05,00,08,00,1E,00,0E,00,02,00,02,80,00,00,01,00
                    HEX        0F,00,02,00,07,80,00,00,01,00,10,00,04,00,00,00,00,00,05,00,11,00,04,00,00,00,00,00,01,00,12,00,04,00,00,00,00,00,06,00,13,00,05,00,00,00,00,00
                    HEX        04,00,14,00,06,00,00,00,00,00,04,00,15,00,07,00,00,00,00,00,01,00,16,00,08,00,03,80,07,00,09,00,17,00,08,00,01,00,00,00,01,00,18,00,09,00,03,00
                    HEX        07,80,08,00,19,00,0A,00,03,80,03,00,0C,00,1A,00,0A,00,04,80,00,00,01,00,1B,00,0A,00,03,80,03,00,0B,00,1C,00,0A,00,03,80,00,00,0D,00,1D,00,0A,00
                    HEX        06,80,00,00,01,00,1E,00,0B,00,03,00,03,80,0A,00,1F,00,0C,00,03,00,03,80,0A,00,20,00,0D,00,03,00,00,00,0A,00,21,00,0E,00,02,00,0C,00,1A,00,22,00
                    HEX        0E,00,02,80,03,80,01,00,23,00,0E,00,00,00,08,80,16,00,24,00,0E,00,03,80,04,80,01,00,25,00,0E,00,01,00,04,80,0F,00,26,00,0E,00,00,00,04,80,0F,00
                    HEX        27,00,0E,00,02,80,07,80,15,00,28,00,0E,00,01,80,07,80,15,00,29,00,0E,00,00,00,07,80,15,00,2A,00,0E,00,03,00,08,80,16,00,2B,00,0E,00,00,00,04,80
                    HEX        01,00,2C,00,0E,00,02,00,08,80,16,00,2D,00,0E,00,01,80,04,80,01,00,2E,00,0E,00,01,00,08,80,16,00,2F,00,0F,00,04,00,08,80,10,00,30,00,0F,00,02,00
                    HEX        08,80,10,00,31,00,0F,00,00,00,08,80,10,00,32,00,0F,00,02,80,04,00,0E,00,33,00,0F,00,00,00,04,00,0E,00,34,00,10,00,06,00,08,80,11,00,35,00,10,00
                    HEX        03,00,08,80,11,00,36,00,10,00,00,00,08,80,11,00,37,00,10,00,03,80,08,00,0F,00,38,00,10,00,01,80,08,00,0F,00,39,00,10,00,00,00,08,00,0F,00,3A,00
                    HEX        11,00,06,00,08,80,12,00,3B,00,11,00,03,00,08,80,12,00,3C,00,11,00,00,00,08,80,12,00,3D,00,11,00,06,80,08,00,10,00,3E,00,11,00,03,80,08,00,10,00
                    HEX        3F,00,11,00,00,00,08,00,10,00,40,00,12,00,06,00,04,00,13,00,41,00,12,00,03,00,04,00,13,00,42,00,12,00,00,00,04,00,13,00,43,00,12,00,06,80,08,00
                    HEX        11,00,44,00,12,00,03,80,08,00,11,00,45,00,12,00,00,00,08,00,11,00,46,00,13,00,07,00,08,00,14,00,47,00,13,00,03,00,08,00,14,00,48,00,13,00,00,00
                    HEX        08,00,14,00,49,00,13,00,06,80,04,80,12,00,4A,00,13,00,03,80,04,80,12,00,4B,00,13,00,00,00,04,80,12,00,4C,00,14,00,03,00,09,00,15,00,4D,00,14,00
                    HEX        01,00,09,00,15,00,4E,00,14,00,00,00,09,00,15,00,4F,00,14,00,06,80,08,80,13,00,50,00,14,00,03,80,08,80,13,00,51,00,14,00,00,00,08,80,13,00,52,00
                    HEX        15,00,02,00,07,00,0E,00,53,00,15,00,00,00,07,00,0E,00,54,00,15,00,04,80,09,80,14,00,55,00,15,00,02,80,09,80,14,00,56,00,15,00,00,00,09,80,14,00
                    HEX        57,00,16,00,00,00,0A,80,17,00,58,00,16,00,00,00,08,00,0E,00,59,00,16,00,03,00,0A,80,17,00,5A,00,16,00,01,00,08,00,0E,00,5B,00,16,00,02,00,0A,80
                    HEX        17,00,5C,00,16,00,01,80,08,00,0E,00,5D,00,17,00,00,00,07,80,18,00,5E,00,17,00,00,00,0A,00,16,00,5F,00,17,00,03,00,07,80,18,00,60,00,17,00,02,00
                    HEX        0A,00,16,00,61,00,17,00,01,00,07,80,18,00,62,00,17,00,01,00,0A,00,16,00,63,00,18,00,00,00,07,00,17,00,64,00,18,00,03,00,02,80,19,00,65,00,18,00
                    HEX        01,00,02,80,19,00,66,00,18,00,00,00,02,80,19,00,67,00,19,00,03,00,09,00,17,00,68,00,19,00,01,00,09,00,17,00,69,00,19,00,00,00,09,00,17,00,6A,00
                    HEX        1A,00,02,80,0C,80,0E,00,6B,00,1A,00,04,00,01,80,1B,00,6C,00,1A,00,01,80,02,00,1C,00,6D,00,1A,00,07,80,03,00,1D,00,6E,00,1A,00,07,80,05,00,1F,00
                    HEX        6F,00,1B,00,04,80,01,00,1A,00,70,00,1C,00,01,00,02,80,1A,00,71,00,1C,00,05,80,01,00,3E,00,72,00,1D,00,05,80,01,80,3D,00,73,00,1D,00,07,00,03,80
                    HEX        1A,00,74,00,1E,00,00,00,08,80,01,00,75,00,1E,00,06,80,08,80,01,00,76,00,1E,00,01,80,08,80,01,00,77,00,1E,00,02,80,0C,00,1F,00,78,00,1F,00,01,80
                    HEX        0F,00,20,00,79,00,20,00,00,00,03,00,21,00,7A,00,22,00,00,00,00,00,23,00,7B,00,22,00,05,00,00,00,23,00,7C,00,22,00,00,00,03,00,2F,00,7D,00,22,00
                    HEX        03,00,01,00,24,00,7E,00,22,00,01,80,04,00,2F,00,7F,00,22,00,00,00,00,00,28,00,80,00,22,00,00,00,00,00,25,00,81,00,22,00,01,00,00,00,2B,00,82,00
                    HEX        22,00,01,80,00,00,2B,00,83,00,22,00,01,80,00,00,29,00,84,00,22,00,03,00,08,00,3F,00,85,00,22,00,01,00,08,00,3F,00,86,00,22,00,03,80,08,00,3F,00
                    HEX        87,00,22,00,02,00,08,00,3F,00,88,00,23,00,05,80,00,00,22,00,89,00,23,00,00,00,00,00,22,00,8A,00,24,00,04,80,01,80,22,00,8B,00,24,00,01,80,01,80
                    HEX        01,00,8C,00,25,00,04,80,00,00,26,00,8D,00,25,00,00,00,00,00,22,00,8E,00,25,00,04,80,00,00,27,00,8F,00,26,00,04,00,00,00,25,00,90,00,27,00,04,00
                    HEX        00,00,25,00,91,00,28,00,00,00,00,00,22,00,92,00,29,00,05,80,07,00,2A,00,93,00,29,00,01,00,00,00,22,00,94,00,2A,00,05,00,07,80,29,00,95,00,2B,00
                    HEX        0C,80,03,00,2D,00,96,00,2B,00,01,80,00,00,22,00,97,00,2B,00,09,80,03,00,2C,00,98,00,2B,00,05,80,00,00,2E,00,99,00,2B,00,01,00,00,00,22,00,9A,00
                    HEX        2C,00,09,00,03,80,2B,00,9B,00,2D,00,0C,00,03,80,2B,00,9C,00,2E,00,05,00,00,00,2B,00,9D,00,2F,00,02,00,0C,00,3B,00,9E,00,2F,00,00,00,03,80,22,00
                    HEX        9F,00,2F,00,04,00,08,80,37,00,A0,00,2F,00,01,00,04,80,22,00,A1,00,2F,00,03,00,04,80,30,00,A2,00,2F,00,04,00,04,80,30,00,A3,00,2F,00,06,00,07,80
                    HEX        36,00,A4,00,2F,00,05,00,07,80,36,00,A5,00,2F,00,04,00,07,80,36,00,A6,00,2F,00,01,00,08,80,37,00,A7,00,2F,00,01,80,04,80,22,00,A8,00,2F,00,02,00
                    HEX        08,80,37,00,A9,00,2F,00,03,00,08,80,37,00,AA,00,30,00,04,80,08,80,31,00,AB,00,30,00,02,80,08,80,31,00,AC,00,30,00,00,00,08,80,31,00,AD,00,30,00
                    HEX        02,80,04,00,2F,00,AE,00,30,00,04,80,04,00,2F,00,AF,00,31,00,06,80,08,80,32,00,B0,00,31,00,03,80,08,80,32,00,B1,00,31,00,00,00,08,80,32,00,B2,00
                    HEX        31,00,03,00,08,00,30,00,B3,00,31,00,01,00,08,00,30,00,B4,00,31,00,00,00,08,00,30,00,B5,00,32,00,06,80,08,80,33,00,B6,00,32,00,03,80,08,80,33,00
                    HEX        B7,00,32,00,00,00,08,80,33,00,B8,00,32,00,06,00,08,00,31,00,B9,00,32,00,03,00,08,00,31,00,BA,00,32,00,00,00,08,00,31,00,BB,00,33,00,06,80,04,00
                    HEX        34,00,BC,00,33,00,03,80,04,00,34,00,BD,00,33,00,00,00,04,00,34,00,BE,00,33,00,06,00,08,00,32,00,BF,00,33,00,03,00,08,00,32,00,C0,00,33,00,00,00
                    HEX        08,00,32,00,C1,00,34,00,07,80,08,00,35,00,C2,00,34,00,03,80,08,00,35,00,C3,00,34,00,00,00,08,00,35,00,C4,00,34,00,06,00,04,80,33,00,C5,00,34,00
                    HEX        03,00,04,80,33,00,C6,00,34,00,00,00,04,80,33,00,C7,00,35,00,03,80,09,00,36,00,C8,00,35,00,01,80,09,00,36,00,C9,00,35,00,00,00,09,00,36,00,CA,00
                    HEX        35,00,06,00,08,80,34,00,CB,00,35,00,03,00,08,80,34,00,CC,00,35,00,00,00,08,80,34,00,CD,00,36,00,06,80,07,00,2F,00,CE,00,36,00,04,80,07,00,2F,00
                    HEX        CF,00,36,00,04,00,09,80,35,00,D0,00,36,00,02,00,09,80,35,00,D1,00,36,00,00,00,09,80,35,00,D2,00,37,00,00,00,0A,80,38,00,D3,00,37,00,04,80,08,00
                    HEX        2F,00,D4,00,37,00,03,80,0A,80,38,00,D5,00,37,00,05,80,08,00,2F,00,D6,00,37,00,02,80,0A,80,38,00,D7,00,37,00,03,80,08,00,2F,00,D8,00,38,00,00,00
                    HEX        07,80,39,00,D9,00,38,00,00,00,0A,00,37,00,DA,00,38,00,03,80,07,80,39,00,DB,00,38,00,02,80,0A,00,37,00,DC,00,38,00,01,80,07,80,39,00,DD,00,38,00
                    HEX        01,80,0A,00,37,00,DE,00,39,00,00,00,07,00,38,00,DF,00,39,00,0D,80,02,80,3A,00,E0,00,39,00,0A,80,02,80,3A,00,E1,00,39,00,09,80,02,80,3A,00,E2,00
                    HEX        3A,00,06,00,09,00,38,00,E3,00,3A,00,08,00,09,00,38,00,E4,00,3A,00,09,00,09,00,38,00,E5,00,3B,00,02,80,0C,80,2F,00,E6,00,3B,00,04,80,01,80,3C,00
                    HEX        E7,00,3B,00,01,00,02,00,3D,00,E8,00,3B,00,07,00,03,00,3E,00,E9,00,3B,00,01,80,05,00,1F,00,EA,00,3C,00,04,00,01,00,3B,00,EB,00,3D,00,05,00,01,00
                    HEX        1D,00,EC,00,3D,00,01,80,02,80,3B,00,ED,00,3E,00,05,00,01,80,1C,00,EE,00,3E,00,07,80,03,80,3B,00,EF,00,3F,00,03,80,08,80,22,00,F0,00,3F,00,03,00
                    HEX        08,80,22,00,F1,00,3F,00,01,80,08,80,22,00,F2,00,3F,00,01,80,0C,00,1F,00,F3,00,40,00,00,00,01,00,40,00,F4,00,40,00,00,00,01,80,40,00,F5,00,40,00
                    HEX        00,00,02,00,40,00,F6,00,40,00,00,00,02,80,40,00,F7,00,40,00,00,00,03,00,40,00,F8,00,40,00,00,00,03,80,40,00,F9,00,40,00,00,00,05,00,40,00,FA,00
                    HEX        40,00,00,00,05,80,40,00,FB,00,40,00,00,00,08,00,40,00,FC,00,40,00,00,00,08,80,40,00,FD,00,40,00,00,00,0C,00,40,00,FE,00,40,00,00,00,0C,80,40,00
                    HEX        FF,00,40,00,00,00,00,00,84,00,00,01,81,00,01,80,02,80,82,00,01,01,82,00,01,80,01,80,83,00,02,01,82,00,00,00,00,00,82,00,03,01,83,00,00,00,02,80
                    HEX        84,00,04,01,83,00,01,00,00,00,82,00,05,01,84,00,00,00,01,00,40,00,06,01,84,00,00,00,02,00,83,00,07,01,85,00,00,00,00,00,86,00,08,01,86,00,00,00
                    HEX        00,00,87,00,09,01,87,00,00,00,00,00,88,00,0A,01,88,00,00,00,00,00,88,00,0B,01,89,00,02,00,00,00,8A,00,0C,01,89,00,02,80,00,00,8A,00,0D,01,89,00
                    HEX        00,00,00,00,89,00,0E,01,8A,00,02,00,00,00,89,00,0F,01,8A,00,02,80,00,00,89,00,10,01,8A,00,00,00,00,00,8A,00,00,00,00,00,00,00,00,00,00,00,00,00
                    HEX        00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00
                    HEX        00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00
                    HEX        00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00
                    HEX        00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00
                    HEX        00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00
                    HEX        00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00

SPRITE_RECEIVE_TABP HEX        00,00,A0,99,76,9A,4C,9B,2B,9C,01,9D,D7,9D,00,00  ; 00-07
                    HEX        9E,9E,5C,9F,2F,A0,05,A1,BD,A1,BA,A2,A2,A3,57,A4  ; 08-0F
                    HEX        DC,A4,61,A5,CE,A5,47,A6,B4,A6,2A,A7,A0,A7,49,A8  ; 10-17
                    HEX        F2,A8,9B,A9,23,AA,B7,AA,3C,AB,A3,AB,00,00,00,00  ; 18-1F
                    HEX        00,00,00,00,1F,AC,F5,AC,CB,AD,AA,AE,80,AF,56,B0  ; 20-27
                    HEX        00,00,1D,B1,DB,B1,AE,B2,84,B3,3C,B4,39,B5,21,B6  ; 28-2F
                    HEX        D6,B6,5B,B7,E0,B7,4D,B8,C6,B8,33,B9,A9,B9,1F,BA  ; 30-37
                    HEX        C8,BA,71,BB,1A,BC,A2,BC,36,BD,BB,BD,22,BE,00,00  ; 38-3F
                    HEX        9E,BE,A0,99,76,9A,4C,9B,2B,9C,01,9D,D7,9D,00,00  ; 40-47
                    HEX        9E,9E,5C,9F,2F,A0,05,A1,BD,A1,BA,A2,A2,A3,57,A4  ; 48-4F
                    HEX        DC,A4,61,A5,CE,A5,47,A6,B4,A6,2A,A7,A0,A7,49,A8  ; 50-57
                    HEX        F2,A8,9B,A9,23,AA,B7,AA,3C,AB,A3,AB,00,00,00,00  ; 58-5F
                    HEX        00,00,00,00,1F,AC,F5,AC,CB,AD,AA,AE,80,AF,56,B0  ; 60-67
                    HEX        00,00,1D,B1,DB,B1,AE,B2,84,B3,3C,B4,39,B5,21,B6  ; 68-6F
                    HEX        D6,B6,5B,B7,E0,B7,4D,B8,C6,B8,33,B9,A9,B9,1F,BA  ; 70-77
                    HEX        C8,BA,71,BB,1A,BC,A2,BC,36,BD,BB,BD,22,BE,00,00  ; 78-7F
                    HEX        00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00  ; 80-87
                    HEX        00,00,00,00,00,00,00,00                          ; 88-8B

*****************************************************************************************
